﻿module("VOICE")

distances = {}

distances.patterns = {
	L"01-1-kilometers-m",
	L"01-1-miles-m",
	L"01-kilometers-e",
	L"01-miles-e",
	L"01_and",
	L"01_and-1",
	L"02-1-kilometers-m",
	L"02-1-miles-m",
	L"02-kilometers-e",
	L"02-miles-e",
	L"02_and",
	L"02_and-1",
	L"03-1-kilometers-m",
	L"03-1-miles-m",
	L"03-kilometers-e",
	L"03-miles-e",
	L"03_and_1",
	L"04-1-kilometers-m",
	L"04-1-miles-m",
	L"04-kilometers-e",
	L"04-miles-e",
	L"04_and-1",
	L"05-1-kilometers-m",
	L"05-1-miles-m",
	L"05-kilometers-e",
	L"05-miles-e",
	L"05_and-1",
	L"06-1-kilometers-m",
	L"06-1-miles-m",
	L"06-kilometers-e",
	L"06-miles-e",
	L"06_and-1",
	L"07-1-kilometers-m",
	L"07-1-miles-m",
	L"07-kilometers-e",
	L"07-miles-e",
	L"07_and-1",
	L"08-1-kilometers-m",
	L"08-1-miles-m",
	L"08-kilometers-e",
	L"08-miles-e",
	L"08_and-1",
	L"09-1-kilometers-m",
	L"09-1-miles-m",
	L"09-and-1",
	L"09-kilometers-e",
	L"09-miles-e",
	L"09_and",
	L"0_and",
	L"0_and-1",
	L"1-1",
	L"1-1-kilometer-m",
	L"1-1-mile-m",
	L"1-and_1",
	L"1-and_2",
	L"1-and_3",
	L"1-and_4",
	L"1-and_5",
	L"1-and_6",
	L"1-and_7",
	L"1-and_8",
	L"1-and_9",
	L"1-kilometer-e",
	L"1-km",
	L"1-mile-e",
	L"1-ml",
	L"10",
	L"10-1",
	L"10-1-kilometers-m",
	L"10-1-meters-m",
	L"10-1-miles-m",
	L"10-1-yards-m",
	L"10-kilometers-e",
	L"10-meters-e",
	L"10-miles-e",
	L"10-yards-e",
	L"100",
	L"100-1",
	L"1000",
	L"11",
	L"11-1",
	L"11-1-kilometers-m",
	L"11-1-miles-m",
	L"11-kilometers-e",
	L"11-miles-e",
	L"110",
	L"110-1",
	L"12",
	L"12-1",
	L"12-1-kilometers-m",
	L"12-1-miles-m",
	L"12-kilometers-e",
	L"12-miles-e",
	L"120",
	L"120-1",
	L"13",
	L"13-1",
	L"13-1-kilometers-m",
	L"13-1-miles-m",
	L"13-kilometers-e",
	L"13-miles-e",
	L"130",
	L"130-1",
	L"14",
	L"14-1",
	L"14-1-kilometers-m",
	L"14-1-miles-m",
	L"14-kilometers-e",
	L"14-miles-e",
	L"140",
	L"140-1",
	L"15",
	L"15-1",
	L"15-1-kilometers-m",
	L"15-1-miles-m",
	L"15-kilometers-e",
	L"15-miles-e",
	L"150",
	L"150-1",
	L"16",
	L"16-1",
	L"16-1-kilometers-m",
	L"16-1-miles-m",
	L"16-kilometers-e",
	L"16-miles-e",
	L"160",
	L"160-1",
	L"17",
	L"17-1",
	L"17-1-kilometers-m",
	L"17-1-miles-m",
	L"17-kilometers-e",
	L"17-miles-e",
	L"170",
	L"170-1",
	L"18",
	L"18-1",
	L"18-1-kilometers-m",
	L"18-kilometers-e",
	L"18-miles-e",
	L"180",
	L"180-1",
	L"19",
	L"19-1",
	L"19-1-kilometers-m",
	L"19-1-miles-m",
	L"19-kilometers-e",
	L"19-miles-e",
	L"190",
	L"190-1",
	L"2",
	L"2-1",
	L"2-1-kilometers-m",
	L"2-1-miles-m",
	L"2-kilometers-e",
	L"2-miles-e",
	L"2-ml",
	L"20",
	L"20-1",
	L"20-kilometers-e",
	L"20-meters-e",
	L"20-miles-e",
	L"20-yards-e",
	L"200",
	L"200-1",
	L"200-feet-e",
	L"200-kilometers-e",
	L"200-meters-e",
	L"200-miles-e",
	L"200-yards-e",
	L"200_and",
	L"200_and-1",
	L"20_and",
	L"20_and-1",
	L"3",
	L"3-1",
	L"3-1-kilometers-m",
	L"3-1-miles-m",
	L"3-kilometers-e",
	L"3-miles-e",
	L"30",
	L"30-1",
	L"300",
	L"300-1",
	L"300_and",
	L"300_and-1",
	L"30_and",
	L"30_and-1",
	L"3_and",
	L"3_quarters_of_a_mile-1",
	L"3q-miles-e",
	L"4",
	L"4-1",
	L"4-1-kilometers-m",
	L"4-1-miles-m",
	L"4-kilometers-e",
	L"4-miles-e",
	L"40",
	L"40-1",
	L"400",
	L"400-1",
	L"400_and",
	L"400_and-1",
	L"40_and",
	L"40_and-1",
	L"4_and",
	L"5",
	L"5-1",
	L"5-1-kilometers-m",
	L"5-1-miles-m",
	L"5-kilometers-e",
	L"5-miles-e",
	L"50",
	L"50-1",
	L"500",
	L"500-1",
	L"500-1-feet-m",
	L"500-1-kilometers-m",
	L"500-1-meters-m",
	L"500-1-miles-m",
	L"500-more",
	L"500-mt-1",
	L"500_and",
	L"500_and-1",
	L"50_and",
	L"50_and-1",
	L"5_and",
	L"6",
	L"6-1",
	L"6-1-kilometers-m",
	L"6-1-miles-m",
	L"6-kilometers-e",
	L"6-miles-e",
	L"60",
	L"60-1",
	L"600",
	L"600-1",
	L"600_and",
	L"600_and-1",
	L"60_and",
	L"60_and-1",
	L"6_and",
	L"7",
	L"7-1",
	L"7-1-kilometers-m",
	L"7-1-miles-m",
	L"7-kilometers-e",
	L"7-miles-e",
	L"70",
	L"70-1",
	L"700",
	L"700-1",
	L"700_and",
	L"700_and-1",
	L"70_and",
	L"70_and-1",
	L"7_and",
	L"8",
	L"8-1",
	L"8-1-kilometers-m",
	L"8-1-miles-m",
	L"8-kilometers-e",
	L"8-miles-e",
	L"80",
	L"80-1",
	L"800",
	L"800-1",
	L"800_and",
	L"800_and-1",
	L"80_and",
	L"80_and-1",
	L"8_and",
	L"9",
	L"9-1",
	L"9-1-kilometers-m",
	L"9-1-miles-m",
	L"9-kilometers-e",
	L"9-miles-e",
	L"90",
	L"90-1",
	L"900",
	L"900-1",
	L"900-1-feet-m",
	L"900-1-meters-m",
	L"900_and",
	L"900_and-1",
	L"90_and",
	L"90_and-1",
	L"a_quarter_mile",
	L"afte-02",
	L"after-0",
	L"after-01",
	L"after-03",
	L"after-04",
	L"after-05",
	L"after-06",
	L"after-07",
	L"after-08",
	L"after-09",
	L"after-10",
	L"after-100",
	L"after-11",
	L"after-12",
	L"after-13",
	L"after-14",
	L"after-15",
	L"after-16",
	L"after-17",
	L"after-19",
	L"after-2",
	L"after-20",
	L"after-200",
	L"after-3",
	L"after-30",
	L"after-300",
	L"after-3qml",
	L"after-4",
	L"after-40",
	L"after-400",
	L"after-5",
	L"after-50",
	L"after-500",
	L"after-6",
	L"after-60",
	L"after-600",
	L"after-7",
	L"after-70",
	L"after-700",
	L"after-80",
	L"after-9",
	L"after-90",
	L"after-900",
	L"after-hml",
	L"after-mt",
	L"after-qml",
	L"and_01",
	L"and_01-1",
	L"and_01-2-1",
	L"and_02",
	L"and_02-1",
	L"and_02-2-1",
	L"and_03",
	L"and_03-1",
	L"and_03-2-1",
	L"and_04",
	L"and_04-1",
	L"and_04-2-1",
	L"and_04-3-1",
	L"and_05",
	L"and_05-1",
	L"and_05-2-1",
	L"and_06",
	L"and_06-1",
	L"and_06-2-1",
	L"and_06-3-1",
	L"and_07",
	L"and_07-1",
	L"and_07-2-1",
	L"and_08",
	L"and_08-1",
	L"and_08-2-1",
	L"and_09",
	L"and_09-1",
	L"and_09-2-1",
	L"and_09-3-1",
	L"and_1",
	L"and_1-2",
	L"and_10-1",
	L"and_10-2",
	L"and_10-2-1",
	L"and_10-m",
	L"and_2",
	L"and_2-2",
	L"and_20-1",
	L"and_20-2",
	L"and_20-2-1",
	L"and_20-m",
	L"and_3",
	L"and_3-2",
	L"and_30-1",
	L"and_30-2",
	L"and_30-2-1",
	L"and_30-m",
	L"and_4",
	L"and_4-2",
	L"and_40-1",
	L"and_40-2",
	L"and_40-2-1",
	L"and_40-m",
	L"and_5",
	L"and_5-2",
	L"and_50-1",
	L"and_50-2",
	L"and_50-2-1",
	L"and_50-m",
	L"and_6",
	L"and_6-2",
	L"and_60-1",
	L"and_60-2",
	L"and_60-2-1",
	L"and_60-m",
	L"and_7",
	L"and_7-2",
	L"and_70-1",
	L"and_70-2",
	L"and_70-2-1",
	L"and_70-m",
	L"and_8",
	L"and_8-2",
	L"and_80-1",
	L"and_80-2",
	L"and_80-2-1",
	L"and_80-m",
	L"and_9",
	L"and_9-2",
	L"and_90-1",
	L"and_90-2",
	L"and_90-2-1",
	L"and_90-m",
	L"dmt-kilometers-e",
	L"dmt-miles-e",
	L"drive-0",
	L"drive-01",
	L"drive-02",
	L"drive-03",
	L"drive-04",
	L"drive-05",
	L"drive-06",
	L"drive-07",
	L"drive-08",
	L"drive-09",
	L"drive-1",
	L"drive-1-ml",
	L"drive-10",
	L"drive-100",
	L"drive-11",
	L"drive-12",
	L"drive-13",
	L"drive-14",
	L"drive-15",
	L"drive-16",
	L"drive-17",
	L"drive-18",
	L"drive-19",
	L"drive-2",
	L"drive-2-ml",
	L"drive-20",
	L"drive-200",
	L"drive-3",
	L"drive-30",
	L"drive-300",
	L"drive-3q",
	L"drive-4",
	L"drive-40",
	L"drive-400",
	L"drive-5",
	L"drive-50",
	L"drive-500",
	L"drive-6",
	L"drive-60",
	L"drive-600",
	L"drive-7",
	L"drive-70",
	L"drive-700",
	L"drive-8",
	L"drive-80",
	L"drive-800",
	L"drive-9",
	L"drive-90",
	L"drive-900",
	L"drive-hm",
	L"drive-qm",
	L"drive_more_than",
	L"half_mile-e",
	L"half_miles-m",
	L"mt-kilometers-m",
	L"mt-miles-m",
	L"q-miles-e",
	L"x00-1-feet-m",
	L"x00-1-kilometers-m",
	L"x00-1-meters-m",
	L"x00-1-miles-m",
	L"x00-1-yards-m",
	L"x00-feet-e",
	L"x00-kilometers-e",
	L"x00-meters-e",
	L"x00-miles-e",
	L"x00-yards-e",
	L"x1-1-kilometers-m",
	L"x1-1-miles-m",
	L"x1-kilometers-e",
	L"x1-miles-e",
	L"x10-1-kilometers-m",
	L"x10-1-meters-m",
	L"x10-1-miles-m",
	L"x10-1-yards-m",
	L"x10-kilometers-e",
	L"x10-meters-e",
	L"x10-miles-e",
	L"x10-yards-e",
	L"x2-1-kilometers-m",
	L"x2-1-miles-m",
	L"x2-kilometers-e",
	L"x2-miles-e",
	L"x20-1-kilometers-m",
	L"x20-1-meters-m",
	L"x20-1-miles-m",
	L"x20-1-yards-m",
	L"x20-kilometers-e",
	L"x20-meters-e",
	L"x20-miles-e",
	L"x20-yards-e",
	L"x3-1-kilometers-m",
	L"x3-1-miles-m",
	L"x3-kilometers-e",
	L"x3-miles-e",
	L"x30-1-kilometers-m",
	L"x30-1-meters-m",
	L"x30-1-miles-m",
	L"x30-1-yards-m",
	L"x30-kilometers-e",
	L"x30-meters-e",
	L"x30-miles-e",
	L"x30-yards-e",
	L"x4-1-kilometers-m",
	L"x4-1-miles-m",
	L"x4-kilometers-e",
	L"x4-miles-e",
	L"x40-1-kilometers-m",
	L"x40-1-meters-m",
	L"x40-1-miles-m",
	L"x40-1-yards-m",
	L"x40-kilometers-e",
	L"x40-meters-e",
	L"x40-miles-e",
	L"x40-yards-e",
	L"x5-1-kilometers-m",
	L"x5-1-miles-m",
	L"x5-kilometers-e",
	L"x5-miles-e",
	L"x50-1-feet-m",
	L"x50-1-kilometers-m",
	L"x50-1-meters-m",
	L"x50-1-miles-m",
	L"x50-1-yards-m",
	L"x50-kilometers-e",
	L"x50-meters-e",
	L"x50-miles-e",
	L"x50-yards-e",
	L"x6-kilometers-e",
	L"x6-miles-e",
	L"x60-1-kilometers-m",
	L"x60-1-meters-m",
	L"x60-1-miles-m",
	L"x60-1-yards-m",
	L"x60-kilometers-e",
	L"x60-meters-e",
	L"x60-miles-e",
	L"x60-yards-e",
	L"x7-kilometers-e",
	L"x7-miles-e",
	L"x70-1-kilometers-m",
	L"x70-1-meters-m",
	L"x70-1-miles-m",
	L"x70-1-yards-m",
	L"x70-kilometers-e",
	L"x70-meters-e",
	L"x70-miles-e",
	L"x70-yards-e",
	L"x8-1-kilometers-m",
	L"x8-1-miles-m",
	L"x8-kilometers-e",
	L"x8-miles-e",
	L"x80-1-kilometers-m",
	L"x80-1-meters-m",
	L"x80-1-miles-m",
	L"x80-1-yards-m",
	L"x80-kilometers-e",
	L"x80-meters-e",
	L"x80-miles-e",
	L"x80-yards-e",
	L"x9-1-kilometers-m",
	L"x9-1-miles-m",
	L"x9-kilometers-e",
	L"x9-miles-e",
	L"x90-1-kilometers-m",
	L"x90-1-meters-m",
	L"x90-1-miles-m",
	L"x90-1-yards-m",
	L"x90-kilometers-e",
	L"x90-meters-e",
	L"x90-miles-e",
	L"x90-yards-e",
	L"xx-1-feet-m",
	L"xx-1-kilometers-m",
	L"xx-1-meters-m",
	L"xx-1-miles-m",
	L"xx-1-yards-m",
	L"xx-feet-e",
	L"xx-kilometers-e",
	L"xx-meters-e",
	L"xx-miles-e",
	L"xx-yards-e",
}

distances.meters = {
	10, "\130\44\68\70\0\131\50\67\74\0\67\74\0",
	20, "\130\55\129\31\132\84\0\131\63\129\30\129\33\0\129\30\129\33\0",
	30, "\130\58\129\54\132\84\0\131\66\129\53\129\33\0\129\53\129\33\0",
	40, "\130\62\129\71\132\84\0\131\70\129\70\129\33\0\129\70\129\33\0",
	50, "\130\65\129\86\132\84\0\131\73\129\85\132\89\0\129\85\132\89\0",
	60, "\130\68\129\107\132\84\0\131\76\129\106\132\89\0\129\106\132\89\0",
	70, "\130\71\129\122\132\84\0\131\79\129\121\132\89\0\129\121\132\89\0",
	80, "\130\73\130\9\132\84\0\131\82\130\8\132\89\0\130\8\132\89\0",
	90, "\130\75\130\24\132\84\0\131\85\130\23\132\89\0\130\23\132\89\0",
	100, "\130\45\78\131\97\0\131\51\77\129\40\0\77\129\40\0",
	110, "\130\45\87\131\110\0\131\51\86\131\114\0\86\131\114\0",
	120, "\130\45\95\131\122\0\131\51\94\131\126\0\94\131\126\0",
	130, "\130\45\103\132\6\0\131\51\102\132\10\0\102\132\10\0",
	140, "\130\45\111\132\18\0\131\51\110\132\22\0\110\132\22\0",
	150, "\130\45\119\132\31\0\131\51\118\132\35\0\118\132\35\0",
	160, "\130\45\127\132\41\0\131\51\126\132\45\0\126\132\45\0",
	170, "\130\45\129\7\132\51\0\131\51\129\6\132\55\0\129\6\132\55\0",
	180, "\130\45\129\14\132\63\0\131\51\129\13\132\67\0\129\13\132\67\0",
	190, "\130\45\129\22\132\75\0\131\51\129\21\132\79\0\129\21\132\79\0",
	200, "\130\56\129\37\131\97\0\131\64\129\36\129\40\0\129\36\129\40\0",
	210, "\130\56\129\44\130\114\131\110\0\131\64\129\43\130\113\131\114\0\129\43\130\113\131\114\0",
	220, "\130\56\129\44\130\120\131\122\0\131\64\129\43\130\119\131\126\0\129\43\130\119\131\126\0",
	230, "\130\56\129\44\130\126\132\6\0\131\64\129\43\130\125\132\10\0\129\43\130\125\132\10\0",
	240, "\130\56\129\44\131\4\132\18\0\131\64\129\43\131\3\132\22\0\129\43\131\3\132\22\0",
	250, "\130\56\129\44\131\10\132\31\0\131\64\129\43\131\9\132\35\0\129\43\131\9\132\35\0",
	260, "\130\56\129\44\131\16\132\41\0\131\64\129\43\131\15\132\45\0\129\43\131\15\132\45\0",
	270, "\130\56\129\44\131\22\132\51\0\131\64\129\43\131\21\132\55\0\129\43\131\21\132\55\0",
	280, "\130\56\129\44\131\28\132\63\0\131\64\129\43\131\27\132\67\0\129\43\131\27\132\67\0",
	290, "\130\56\129\44\131\34\132\75\0\131\64\129\43\131\33\132\79\0\129\43\131\33\132\79\0",
	300, "\130\59\129\56\131\97\0\131\67\129\55\131\102\0\129\55\131\102\0",
	310, "\130\59\129\58\130\114\131\110\0\131\67\129\57\130\113\131\114\0\129\57\130\113\131\114\0",
	320, "\130\59\129\58\130\120\131\122\0\131\67\129\57\130\119\131\126\0\129\57\130\119\131\126\0",
	330, "\130\59\129\58\130\126\132\6\0\131\67\129\57\130\125\132\10\0\129\57\130\125\132\10\0",
	340, "\130\59\129\58\131\4\132\18\0\131\67\129\57\131\3\132\22\0\129\57\131\3\132\22\0",
	350, "\130\59\129\58\131\10\132\31\0\131\67\129\57\131\9\132\35\0\129\57\131\9\132\35\0",
	360, "\130\59\129\58\131\16\132\41\0\131\67\129\57\131\15\132\45\0\129\57\131\15\132\45\0",
	370, "\130\59\129\58\131\22\132\51\0\131\67\129\57\131\21\132\55\0\129\57\131\21\132\55\0",
	380, "\130\59\129\58\131\28\132\63\0\131\67\129\57\131\27\132\67\0\129\57\131\27\132\67\0",
	390, "\130\59\129\58\131\34\132\75\0\131\67\129\57\131\33\132\79\0\129\57\131\33\132\79\0",
	400, "\130\63\129\73\131\97\0\131\71\129\72\131\102\0\129\72\131\102\0",
	410, "\130\63\129\75\130\114\131\110\0\131\71\129\74\130\113\131\114\0\129\74\130\113\131\114\0",
	420, "\130\63\129\75\130\120\131\122\0\131\71\129\74\130\119\131\126\0\129\74\130\119\131\126\0",
	430, "\130\63\129\75\130\126\132\6\0\131\71\129\74\130\125\132\10\0\129\74\130\125\132\10\0",
	440, "\130\63\129\75\131\4\132\18\0\131\71\129\74\131\3\132\22\0\129\74\131\3\132\22\0",
	450, "\130\63\129\75\131\10\132\31\0\131\71\129\74\131\9\132\35\0\129\74\131\9\132\35\0",
	460, "\130\63\129\75\131\16\132\41\0\131\71\129\74\131\15\132\45\0\129\74\131\15\132\45\0",
	470, "\130\63\129\75\131\22\132\51\0\131\71\129\74\131\21\132\55\0\129\74\131\21\132\55\0",
	480, "\130\63\129\75\131\28\132\63\0\131\71\129\74\131\27\132\67\0\129\74\131\27\132\67\0",
	490, "\130\63\129\75\131\34\132\75\0\131\71\129\74\131\33\132\79\0\129\74\131\33\132\79\0",
	500, "\130\66\129\88\129\91\0\131\74\129\87\131\102\0\129\87\131\102\0",
	510, "\130\66\129\96\130\114\131\110\0\131\74\129\95\130\115\131\114\0\129\95\130\115\131\114\0",
	520, "\130\66\129\96\130\120\131\122\0\131\74\129\95\130\121\131\126\0\129\95\130\121\131\126\0",
	530, "\130\66\129\96\130\124\132\6\0\131\74\129\95\130\127\132\10\0\129\95\130\127\132\10\0",
	540, "\130\66\129\96\131\2\132\18\0\131\74\129\95\131\5\132\22\0\129\95\131\5\132\22\0",
	550, "\130\66\129\96\131\10\132\31\0\131\74\129\95\131\11\132\35\0\129\95\131\11\132\35\0",
	560, "\130\66\129\96\131\14\132\41\0\131\74\129\95\131\17\132\45\0\129\95\131\17\132\45\0",
	570, "\130\66\129\96\131\20\132\51\0\131\74\129\95\131\23\132\55\0\129\95\131\23\132\55\0",
	580, "\130\66\129\96\131\28\132\63\0\131\74\129\95\131\29\132\67\0\129\95\131\29\132\67\0",
	590, "\130\66\129\96\131\34\132\75\0\131\74\129\95\131\35\132\79\0\129\95\131\35\132\79\0",
	600, "\130\69\129\109\129\91\0\131\77\129\108\131\102\0\129\108\131\102\0",
	610, "\130\69\129\111\130\114\131\110\0\131\77\129\110\130\115\131\114\0\129\110\130\115\131\114\0",
	620, "\130\69\129\111\130\120\131\122\0\131\77\129\110\130\121\131\126\0\129\110\130\121\131\126\0",
	630, "\130\69\129\111\130\124\132\6\0\131\77\129\110\130\127\132\10\0\129\110\130\127\132\10\0",
	640, "\130\69\129\111\131\2\132\18\0\131\77\129\110\131\5\132\22\0\129\110\131\5\132\22\0",
	650, "\130\69\129\111\131\10\132\31\0\131\77\129\110\131\11\132\35\0\129\110\131\11\132\35\0",
	660, "\130\69\129\111\131\14\132\41\0\131\77\129\110\131\17\132\45\0\129\110\131\17\132\45\0",
	670, "\130\69\129\111\131\20\132\51\0\131\77\129\110\131\23\132\55\0\129\110\131\23\132\55\0",
	680, "\130\69\129\111\131\28\132\63\0\131\77\129\110\131\29\132\67\0\129\110\131\29\132\67\0",
	690, "\130\69\129\111\131\34\132\75\0\131\77\129\110\131\35\132\79\0\129\110\131\35\132\79\0",
	700, "\130\72\129\124\131\97\0\131\80\129\123\131\102\0\129\123\131\102\0",
	710, "\130\72\129\126\130\114\131\110\0\131\80\129\125\130\115\131\114\0\129\125\130\115\131\114\0",
	720, "\130\72\129\126\130\120\131\122\0\131\80\129\125\130\121\131\126\0\129\125\130\121\131\126\0",
	730, "\130\72\129\126\130\124\132\6\0\131\80\129\125\130\127\132\10\0\129\125\130\127\132\10\0",
	740, "\130\72\129\126\131\2\132\18\0\131\80\129\125\131\5\132\22\0\129\125\131\5\132\22\0",
	750, "\130\72\129\126\131\10\132\31\0\131\80\129\125\131\11\132\35\0\129\125\131\11\132\35\0",
	760, "\130\72\129\126\131\14\132\41\0\131\80\129\125\131\17\132\45\0\129\125\131\17\132\45\0",
	770, "\130\72\129\126\131\20\132\51\0\131\80\129\125\131\23\132\55\0\129\125\131\23\132\55\0",
	780, "\130\72\129\126\131\28\132\63\0\131\80\129\125\131\29\132\67\0\129\125\131\29\132\67\0",
	790, "\130\72\129\126\131\34\132\75\0\131\80\129\125\131\35\132\79\0\129\125\131\35\132\79\0",
	800, "\130\73\130\11\131\97\0\131\83\130\10\131\102\0\130\10\131\102\0",
	810, "\130\73\130\13\130\114\131\110\0\131\83\130\12\130\115\131\114\0\130\12\130\115\131\114\0",
	820, "\130\73\130\13\130\120\131\122\0\131\83\130\12\130\121\131\126\0\130\12\130\121\131\126\0",
	830, "\130\73\130\13\130\124\132\6\0\131\83\130\12\130\127\132\10\0\130\12\130\127\132\10\0",
	840, "\130\73\130\13\131\2\132\18\0\131\83\130\12\131\5\132\22\0\130\12\131\5\132\22\0",
	850, "\130\73\130\13\131\10\132\31\0\131\83\130\12\131\11\132\35\0\130\12\131\11\132\35\0",
	860, "\130\73\130\13\131\14\132\41\0\131\83\130\12\131\17\132\45\0\130\12\131\17\132\45\0",
	870, "\130\73\130\13\131\20\132\51\0\131\83\130\12\131\23\132\55\0\130\12\131\23\132\55\0",
	880, "\130\73\130\13\131\28\132\63\0\131\83\130\12\131\29\132\67\0\130\12\131\29\132\67\0",
	890, "\130\73\130\13\131\34\132\75\0\131\83\130\12\131\35\132\79\0\130\12\131\35\132\79\0",
	900, "\130\76\130\26\130\28\0\131\86\130\25\131\102\0\130\25\131\102\0",
	910, "\130\76\130\30\130\112\131\110\0\131\86\130\29\130\115\131\114\0\130\29\130\115\131\114\0",
	920, "\130\76\130\30\130\118\131\122\0\131\86\130\29\130\121\131\126\0\130\29\130\121\131\126\0",
	930, "\130\76\130\30\130\124\132\6\0\131\86\130\29\130\127\132\10\0\130\29\130\127\132\10\0",
	940, "\130\76\130\30\131\2\132\18\0\131\86\130\29\131\5\132\22\0\130\29\131\5\132\22\0",
	950, "\130\76\130\30\131\8\132\31\0\131\86\130\29\131\11\132\35\0\130\29\131\11\132\35\0",
	960, "\130\76\130\30\131\14\132\41\0\131\86\130\29\131\17\132\45\0\130\29\131\17\132\45\0",
	970, "\130\76\130\30\131\20\132\51\0\131\86\130\29\131\23\132\55\0\130\29\131\23\132\55\0",
	980, "\130\76\130\30\131\26\132\63\0\131\86\130\29\131\29\132\67\0\130\29\131\29\132\67\0",
	990, "\130\76\130\30\131\32\132\75\0\131\86\130\29\131\35\132\79\0\130\29\131\35\132\79\0",
	1000, "\130\36\51\52\0\131\48\64\63\0\64\63\0",
	1100, "\130\36\6\130\82\1\0\131\39\5\130\80\3\0\5\130\80\3\0",
	1200, "\130\36\6\130\85\7\0\131\39\5\130\83\9\0\5\130\83\9\0",
	1300, "\130\36\6\130\88\13\0\131\39\5\130\86\15\0\5\130\86\15\0",
	1400, "\130\36\6\130\91\18\0\131\39\5\130\89\20\0\5\130\89\20\0",
	1500, "\130\36\6\130\95\23\0\131\39\5\130\93\25\0\5\130\93\25\0",
	1600, "\130\36\6\130\98\28\0\131\39\5\130\96\30\0\5\130\96\30\0",
	1700, "\130\36\6\130\102\33\0\131\39\5\130\100\35\0\5\130\100\35\0",
	1800, "\130\36\6\130\105\38\0\131\39\5\130\103\40\0\5\130\103\40\0",
	1900, "\130\36\6\130\108\43\0\131\39\5\130\106\46\0\5\130\106\46\0",
	2000, "\130\54\129\24\129\25\0\131\61\129\23\129\27\0\129\23\129\27\0",
	2100, "\130\34\12\130\81\1\0\131\40\11\130\80\3\0\11\130\80\3\0",
	2200, "\130\34\12\130\84\7\0\131\40\11\130\83\9\0\11\130\83\9\0",
	2300, "\130\34\12\130\87\13\0\131\40\11\130\86\15\0\11\130\86\15\0",
	2400, "\130\34\12\130\90\18\0\131\40\11\130\89\20\0\11\130\89\20\0",
	2500, "\130\34\12\130\94\23\0\131\40\11\130\93\25\0\11\130\93\25\0",
	2600, "\130\34\12\130\97\28\0\131\40\11\130\96\30\0\11\130\96\30\0",
	2700, "\130\34\12\130\101\33\0\131\40\11\130\100\35\0\11\130\100\35\0",
	2800, "\130\34\12\130\104\38\0\131\40\11\130\103\40\0\11\130\103\40\0",
	2900, "\130\34\12\130\107\43\0\131\40\11\130\106\46\0\11\130\106\46\0",
	3000, "\130\57\129\48\129\49\0\131\65\129\47\129\51\0\129\47\129\51\0",
	3100, "\130\37\17\130\81\1\0\131\41\129\61\130\80\3\0\129\61\130\80\3\0",
	3200, "\130\37\17\130\84\7\0\131\41\129\61\130\83\9\0\129\61\130\83\9\0",
	3300, "\130\37\17\130\87\13\0\131\41\129\61\130\86\15\0\129\61\130\86\15\0",
	3400, "\130\37\17\130\90\18\0\131\41\129\61\130\89\20\0\129\61\130\89\20\0",
	3500, "\130\37\17\130\94\23\0\131\41\129\61\130\93\25\0\129\61\130\93\25\0",
	3600, "\130\37\17\130\97\28\0\131\41\129\61\130\96\30\0\129\61\130\96\30\0",
	3700, "\130\37\17\130\101\33\0\131\41\129\61\130\100\35\0\129\61\130\100\35\0",
	3800, "\130\37\17\130\104\38\0\131\41\129\61\130\103\40\0\129\61\130\103\40\0",
	3900, "\130\37\17\130\107\43\0\131\41\129\61\130\106\46\0\129\61\130\106\46\0",
	4000, "\130\61\129\65\129\66\0\131\69\129\64\129\68\0\129\64\129\68\0",
	4100, "\130\38\22\130\81\1\0\131\42\129\78\130\80\3\0\129\78\130\80\3\0",
	4200, "\130\38\22\130\84\7\0\131\42\129\78\130\83\9\0\129\78\130\83\9\0",
	4300, "\130\38\22\130\87\13\0\131\42\129\78\130\86\15\0\129\78\130\86\15\0",
	4400, "\130\38\22\130\90\18\0\131\42\129\78\130\89\20\0\129\78\130\89\20\0",
	4500, "\130\38\22\130\94\23\0\131\42\129\78\130\93\25\0\129\78\130\93\25\0",
	4600, "\130\38\22\130\97\28\0\131\42\129\78\130\96\30\0\129\78\130\96\30\0",
	4700, "\130\38\22\130\101\33\0\131\42\129\78\130\100\35\0\129\78\130\100\35\0",
	4800, "\130\38\22\130\104\38\0\131\42\129\78\130\103\40\0\129\78\130\103\40\0",
	4900, "\130\38\22\130\107\43\0\131\42\129\78\130\106\46\0\129\78\130\106\46\0",
	5000, "\130\64\129\80\129\81\0\131\72\129\79\129\83\0\129\79\129\83\0",
	5100, "\130\39\27\130\81\1\0\131\43\129\99\130\80\3\0\129\99\130\80\3\0",
	5200, "\130\39\27\130\84\7\0\131\43\129\99\130\83\9\0\129\99\130\83\9\0",
	5300, "\130\39\27\130\87\13\0\131\43\129\99\130\86\15\0\129\99\130\86\15\0",
	5400, "\130\39\27\130\90\18\0\131\43\129\99\130\89\20\0\129\99\130\89\20\0",
	5500, "\130\39\27\130\94\23\0\131\43\129\99\130\93\25\0\129\99\130\93\25\0",
	5600, "\130\39\27\130\97\28\0\131\43\129\99\130\96\30\0\129\99\130\96\30\0",
	5700, "\130\39\27\130\101\33\0\131\43\129\99\130\100\35\0\129\99\130\100\35\0",
	5800, "\130\39\27\130\104\38\0\131\43\129\99\130\103\40\0\129\99\130\103\40\0",
	5900, "\130\39\27\130\107\43\0\131\43\129\99\130\106\46\0\129\99\130\106\46\0",
	6000, "\130\67\129\101\129\102\0\131\75\129\100\129\104\0\129\100\129\104\0",
	6100, "\130\40\32\130\81\1\0\131\44\129\114\130\80\3\0\129\114\130\80\3\0",
	6200, "\130\40\32\130\84\7\0\131\44\129\114\130\83\9\0\129\114\130\83\9\0",
	6300, "\130\40\32\130\87\13\0\131\44\129\114\130\86\15\0\129\114\130\86\15\0",
	6400, "\130\40\32\130\90\18\0\131\44\129\114\130\89\20\0\129\114\130\89\20\0",
	6500, "\130\40\32\130\94\23\0\131\44\129\114\130\93\25\0\129\114\130\93\25\0",
	6600, "\130\40\32\130\97\28\0\131\44\129\114\130\96\30\0\129\114\130\96\30\0",
	6700, "\130\40\32\130\101\33\0\131\44\129\114\130\100\35\0\129\114\130\100\35\0",
	6800, "\130\40\32\130\104\38\0\131\44\129\114\130\103\40\0\129\114\130\103\40\0",
	6900, "\130\40\32\130\107\43\0\131\44\129\114\130\106\46\0\129\114\130\106\46\0",
	7000, "\130\70\129\116\129\117\0\131\78\129\115\129\119\0\129\115\129\119\0",
	7100, "\130\41\37\130\81\1\0\131\45\130\1\130\80\3\0\130\1\130\80\3\0",
	7200, "\130\41\37\130\84\7\0\131\45\130\1\130\83\9\0\130\1\130\83\9\0",
	7300, "\130\41\37\130\87\13\0\131\45\130\1\130\86\15\0\130\1\130\86\15\0",
	7400, "\130\41\37\130\90\18\0\131\45\130\1\130\89\20\0\130\1\130\89\20\0",
	7500, "\130\41\37\130\94\23\0\131\45\130\1\130\93\25\0\130\1\130\93\25\0",
	7600, "\130\41\37\130\97\28\0\131\45\130\1\130\96\30\0\130\1\130\96\30\0",
	7700, "\130\41\37\130\101\33\0\131\45\130\1\130\100\35\0\130\1\130\100\35\0",
	7800, "\130\41\37\130\104\38\0\131\45\130\1\130\103\40\0\130\1\130\103\40\0",
	7900, "\130\41\37\130\107\43\0\131\45\130\1\130\106\46\0\130\1\130\106\46\0",
	8000, "\130\42\130\3\130\4\0\131\81\130\2\130\6\0\130\2\130\6\0",
	8100, "\130\42\42\130\81\1\0\131\46\130\16\130\80\3\0\130\16\130\80\3\0",
	8200, "\130\42\42\130\84\7\0\131\46\130\16\130\83\9\0\130\16\130\83\9\0",
	8300, "\130\42\42\130\87\13\0\131\46\130\16\130\86\15\0\130\16\130\86\15\0",
	8400, "\130\42\42\130\90\18\0\131\46\130\16\130\89\20\0\130\16\130\89\20\0",
	8500, "\130\42\42\130\94\23\0\131\46\130\16\130\93\25\0\130\16\130\93\25\0",
	8600, "\130\42\42\130\97\28\0\131\46\130\16\130\96\30\0\130\16\130\96\30\0",
	8700, "\130\42\42\130\101\33\0\131\46\130\16\130\100\35\0\130\16\130\100\35\0",
	8800, "\130\42\42\130\104\38\0\131\46\130\16\130\103\40\0\130\16\130\103\40\0",
	8900, "\130\42\42\130\107\43\0\131\46\130\16\130\106\46\0\130\16\130\106\46\0",
	9000, "\130\74\130\18\130\19\0\131\84\130\17\130\21\0\130\17\130\21\0",
	9100, "\130\43\45\130\81\1\0\131\47\48\130\80\3\0\48\130\80\3\0",
	9200, "\130\43\45\130\84\7\0\131\47\48\130\83\9\0\48\130\83\9\0",
	9300, "\130\43\45\130\87\13\0\131\47\48\130\86\15\0\48\130\86\15\0",
	9400, "\130\43\45\130\90\18\0\131\47\48\130\89\20\0\48\130\89\20\0",
	9500, "\130\43\45\130\94\23\0\131\47\48\130\93\25\0\48\130\93\25\0",
	9600, "\130\43\45\130\97\28\0\131\47\48\130\96\30\0\48\130\96\30\0",
	9700, "\130\43\45\130\101\33\0\131\47\48\130\100\35\0\48\130\100\35\0",
	9800, "\130\43\45\130\104\38\0\131\47\48\130\103\40\0\48\130\103\40\0",
	9900, "\130\43\45\130\107\43\0\131\47\48\130\106\46\0\48\130\106\46\0",
	10000, "\130\44\68\69\0\131\50\67\73\0\67\73\0",
	11000, "\130\46\81\82\0\131\52\80\84\0\80\84\0",
	12000, "\130\47\89\90\0\131\53\88\92\0\88\92\0",
	13000, "\130\48\97\98\0\131\54\96\100\0\96\100\0",
	14000, "\130\49\105\106\0\131\55\104\108\0\104\108\0",
	15000, "\130\50\113\114\0\131\56\112\116\0\112\116\0",
	16000, "\130\51\121\122\0\131\57\120\124\0\120\124\0",
	17000, "\130\52\129\1\129\2\0\131\58\129\0\129\4\0\129\0\129\4\0",
	18000, "\130\73\129\9\129\10\0\131\59\129\8\129\11\0\129\8\129\11\0",
	19000, "\130\53\129\16\129\17\0\131\60\129\15\129\19\0\129\15\129\19\0",
	20000, "\130\55\129\31\132\83\0\131\63\129\30\129\32\0\129\30\129\32\0",
	21000, "\130\55\129\46\54\131\105\0\131\63\129\45\130\111\131\107\0\129\45\130\111\131\107\0",
	22000, "\130\55\129\46\55\131\117\0\131\63\129\45\130\117\131\119\0\129\45\130\117\131\119\0",
	23000, "\130\55\129\46\56\132\1\0\131\63\129\45\130\123\132\3\0\129\45\130\123\132\3\0",
	24000, "\130\55\129\46\57\132\13\0\131\63\129\45\131\1\132\15\0\129\45\131\1\132\15\0",
	25000, "\130\55\129\46\58\132\25\0\131\63\129\45\131\7\132\27\0\129\45\131\7\132\27\0",
	26000, "\130\55\129\46\59\132\25\0\131\63\129\45\131\13\132\38\0\129\45\131\13\132\38\0",
	27000, "\130\55\129\46\60\132\25\0\131\63\129\45\131\19\132\48\0\129\45\131\19\132\48\0",
	28000, "\130\55\129\46\61\132\58\0\131\63\129\45\131\25\132\60\0\129\45\131\25\132\60\0",
	29000, "\130\55\129\46\62\132\70\0\131\63\129\45\131\31\132\72\0\129\45\131\31\132\72\0",
	30000, "\130\58\129\54\132\83\0\131\66\129\53\129\32\0\129\53\129\32\0",
	31000, "\130\58\129\60\54\131\105\0\131\66\129\59\130\111\131\107\0\129\59\130\111\131\107\0",
	32000, "\130\58\129\60\55\131\117\0\131\66\129\59\130\117\131\119\0\129\59\130\117\131\119\0",
	33000, "\130\58\129\60\56\132\1\0\131\66\129\59\130\123\132\3\0\129\59\130\123\132\3\0",
	34000, "\130\58\129\60\57\132\13\0\131\66\129\59\131\1\132\15\0\129\59\131\1\132\15\0",
	35000, "\130\58\129\60\58\132\25\0\131\66\129\59\131\7\132\27\0\129\59\131\7\132\27\0",
	36000, "\130\58\129\60\59\132\25\0\131\66\129\59\131\13\132\38\0\129\59\131\13\132\38\0",
	37000, "\130\58\129\60\60\132\25\0\131\66\129\59\131\19\132\48\0\129\59\131\19\132\48\0",
	38000, "\130\58\129\60\61\132\58\0\131\66\129\59\131\25\132\60\0\129\59\131\25\132\60\0",
	39000, "\130\58\129\60\62\132\70\0\131\66\129\59\131\31\132\72\0\129\59\131\31\132\72\0",
	40000, "\130\62\129\71\132\83\0\131\70\129\70\129\32\0\129\70\129\32\0",
	41000, "\130\62\129\77\54\131\105\0\131\70\129\76\130\111\131\107\0\129\76\130\111\131\107\0",
	42000, "\130\62\129\77\55\131\117\0\131\70\129\76\130\117\131\119\0\129\76\130\117\131\119\0",
	43000, "\130\62\129\77\56\132\1\0\131\70\129\76\130\123\132\3\0\129\76\130\123\132\3\0",
	44000, "\130\62\129\77\57\132\13\0\131\70\129\76\131\1\132\15\0\129\76\131\1\132\15\0",
	45000, "\130\62\129\77\58\132\25\0\131\70\129\76\131\7\132\27\0\129\76\131\7\132\27\0",
	46000, "\130\62\129\77\59\132\25\0\131\70\129\76\131\13\132\38\0\129\76\131\13\132\38\0",
	47000, "\130\62\129\77\60\132\25\0\131\70\129\76\131\19\132\48\0\129\76\131\19\132\48\0",
	48000, "\130\62\129\77\61\132\58\0\131\70\129\76\131\25\132\60\0\129\76\131\25\132\60\0",
	49000, "\130\62\129\77\62\132\70\0\131\70\129\76\131\31\132\72\0\129\76\131\31\132\72\0",
	50000, "\130\65\129\86\132\83\0\131\73\129\85\132\88\0\129\85\132\88\0",
	51000, "\130\65\129\98\54\131\105\0\131\73\129\97\130\110\131\107\0\129\97\130\110\131\107\0",
	52000, "\130\65\129\98\55\131\117\0\131\73\129\97\130\116\131\119\0\129\97\130\116\131\119\0",
	53000, "\130\65\129\98\56\132\1\0\131\73\129\97\130\122\132\3\0\129\97\130\122\132\3\0",
	54000, "\130\65\129\98\57\132\13\0\131\73\129\97\131\0\132\15\0\129\97\131\0\132\15\0",
	55000, "\130\65\129\98\58\132\25\0\131\73\129\97\131\6\132\27\0\129\97\131\6\132\27\0",
	56000, "\130\65\129\98\59\132\25\0\131\73\129\97\131\12\132\38\0\129\97\131\12\132\38\0",
	57000, "\130\65\129\98\60\132\25\0\131\73\129\97\131\18\132\48\0\129\97\131\18\132\48\0",
	58000, "\130\65\129\98\61\132\58\0\131\73\129\97\131\24\132\60\0\129\97\131\24\132\60\0",
	59000, "\130\65\129\98\62\132\70\0\131\73\129\97\131\30\132\72\0\129\97\131\30\132\72\0",
	60000, "\130\68\129\107\132\83\0\131\76\129\106\132\88\0\129\106\132\88\0",
	61000, "\130\68\129\113\54\131\105\0\131\76\129\112\130\110\131\107\0\129\112\130\110\131\107\0",
	62000, "\130\68\129\113\55\131\117\0\131\76\129\112\130\116\131\119\0\129\112\130\116\131\119\0",
	63000, "\130\68\129\113\56\132\1\0\131\76\129\112\130\122\132\3\0\129\112\130\122\132\3\0",
	64000, "\130\68\129\113\57\132\13\0\131\76\129\112\131\0\132\15\0\129\112\131\0\132\15\0",
	65000, "\130\68\129\113\58\132\25\0\131\76\129\112\131\6\132\27\0\129\112\131\6\132\27\0",
	66000, "\130\68\129\113\59\132\25\0\131\76\129\112\131\12\132\38\0\129\112\131\12\132\38\0",
	67000, "\130\68\129\113\60\132\25\0\131\76\129\112\131\18\132\48\0\129\112\131\18\132\48\0",
	68000, "\130\68\129\113\61\132\58\0\131\76\129\112\131\24\132\60\0\129\112\131\24\132\60\0",
	69000, "\130\68\129\113\62\132\70\0\131\76\129\112\131\30\132\72\0\129\112\131\30\132\72\0",
	70000, "\130\71\129\122\132\83\0\131\79\129\121\132\88\0\129\121\132\88\0",
	71000, "\130\71\130\0\54\131\105\0\131\79\129\127\130\110\131\107\0\129\127\130\110\131\107\0",
	72000, "\130\71\130\0\55\131\117\0\131\79\129\127\130\116\131\119\0\129\127\130\116\131\119\0",
	73000, "\130\71\130\0\56\132\1\0\131\79\129\127\130\122\132\3\0\129\127\130\122\132\3\0",
	74000, "\130\71\130\0\57\132\13\0\131\79\129\127\131\0\132\15\0\129\127\131\0\132\15\0",
	75000, "\130\71\130\0\58\132\25\0\131\79\129\127\131\6\132\27\0\129\127\131\6\132\27\0",
	76000, "\130\71\130\0\59\132\25\0\131\79\129\127\131\12\132\38\0\129\127\131\12\132\38\0",
	77000, "\130\71\130\0\60\132\25\0\131\79\129\127\131\18\132\48\0\129\127\131\18\132\48\0",
	78000, "\130\71\130\0\61\132\58\0\131\79\129\127\131\24\132\60\0\129\127\131\24\132\60\0",
	79000, "\130\71\130\0\62\132\70\0\131\79\129\127\131\30\132\72\0\129\127\131\30\132\72\0",
	80000, "\130\73\130\9\132\83\0\131\82\130\8\132\88\0\130\8\132\88\0",
	81000, "\130\73\130\15\54\131\105\0\131\82\130\14\130\110\131\107\0\130\14\130\110\131\107\0",
	82000, "\130\73\130\15\55\131\117\0\131\82\130\14\130\116\131\119\0\130\14\130\116\131\119\0",
	83000, "\130\73\130\15\56\132\1\0\131\82\130\14\130\122\132\3\0\130\14\130\122\132\3\0",
	84000, "\130\73\130\15\57\132\13\0\131\82\130\14\131\0\132\15\0\130\14\131\0\132\15\0",
	85000, "\130\73\130\15\58\132\25\0\131\82\130\14\131\6\132\27\0\130\14\131\6\132\27\0",
	86000, "\130\73\130\15\59\132\25\0\131\82\130\14\131\12\132\38\0\130\14\131\12\132\38\0",
	87000, "\130\73\130\15\60\132\25\0\131\82\130\14\131\18\132\48\0\130\14\131\18\132\48\0",
	88000, "\130\73\130\15\61\132\58\0\131\82\130\14\131\24\132\60\0\130\14\131\24\132\60\0",
	89000, "\130\73\130\15\62\132\70\0\131\82\130\14\131\30\132\72\0\130\14\131\30\132\72\0",
	90000, "\130\75\130\24\132\83\0\131\85\130\23\132\88\0\130\23\132\88\0",
	91000, "\130\75\130\32\54\131\105\0\131\85\130\31\130\110\131\107\0\130\31\130\110\131\107\0",
	92000, "\130\75\130\32\55\131\117\0\131\85\130\31\130\116\131\119\0\130\31\130\116\131\119\0",
	93000, "\130\75\130\32\56\132\1\0\131\85\130\31\130\122\132\3\0\130\31\130\122\132\3\0",
	94000, "\130\75\130\32\57\132\13\0\131\85\130\31\131\0\132\15\0\130\31\131\0\132\15\0",
	95000, "\130\75\130\32\58\132\25\0\131\85\130\31\131\6\132\27\0\130\31\131\6\132\27\0",
	96000, "\130\75\130\32\59\132\25\0\131\85\130\31\131\12\132\38\0\130\31\131\12\132\38\0",
	97000, "\130\75\130\32\60\132\25\0\131\85\130\31\131\18\132\48\0\130\31\131\18\132\48\0",
	98000, "\130\75\130\32\61\132\58\0\131\85\130\31\131\24\132\60\0\130\31\131\24\132\60\0",
	99000, "\130\75\130\32\62\132\70\0\131\85\130\31\131\30\132\72\0\130\31\131\30\132\72\0",
	100000, "\130\45\78\131\96\0\131\51\77\129\39\0\77\129\39\0",
	110000, "\130\45\87\131\109\0\131\51\86\131\113\0\86\131\113\0",
	120000, "\130\45\95\131\121\0\131\51\94\131\125\0\94\131\125\0",
	130000, "\130\45\103\132\5\0\131\51\102\132\9\0\102\132\9\0",
	140000, "\130\45\111\132\17\0\131\51\110\132\21\0\110\132\21\0",
	150000, "\130\45\119\132\30\0\131\51\118\132\34\0\118\132\34\0",
	160000, "\130\45\127\132\40\0\131\51\126\132\44\0\126\132\44\0",
	170000, "\130\45\129\7\132\50\0\131\51\129\6\132\54\0\129\6\132\54\0",
	180000, "\130\45\129\14\132\62\0\131\51\129\13\132\66\0\129\13\132\66\0",
	190000, "\130\45\129\22\132\74\0\131\51\129\21\132\78\0\129\21\132\78\0",
	200000, "\130\56\129\37\131\96\0\131\64\129\36\129\39\0\129\36\129\39\0",
	210000, "\130\56\129\44\130\114\131\109\0\131\64\129\43\130\113\131\113\0\129\43\130\113\131\113\0",
	220000, "\130\56\129\44\130\120\131\121\0\131\64\129\43\130\119\131\125\0\129\43\130\119\131\125\0",
	230000, "\130\56\129\44\130\126\132\5\0\131\64\129\43\130\125\132\9\0\129\43\130\125\132\9\0",
	240000, "\130\56\129\44\131\4\132\17\0\131\64\129\43\131\3\132\21\0\129\43\131\3\132\21\0",
	250000, "\130\56\129\44\131\10\132\30\0\131\64\129\43\131\9\132\34\0\129\43\131\9\132\34\0",
	260000, "\130\56\129\44\131\16\132\40\0\131\64\129\43\131\15\132\44\0\129\43\131\15\132\44\0",
	270000, "\130\56\129\44\131\22\132\50\0\131\64\129\43\131\21\132\54\0\129\43\131\21\132\54\0",
	280000, "\130\56\129\44\131\28\132\62\0\131\64\129\43\131\27\132\66\0\129\43\131\27\132\66\0",
	290000, "\130\56\129\44\131\34\132\74\0\131\64\129\43\131\33\132\78\0\129\43\131\33\132\78\0",
	300000, "\130\59\129\56\131\96\0\131\67\129\55\129\39\0\129\55\129\39\0",
	310000, "\130\59\129\58\130\114\131\109\0\131\67\129\57\130\113\131\113\0\129\57\130\113\131\113\0",
	320000, "\130\59\129\58\130\120\131\121\0\131\67\129\57\130\119\131\125\0\129\57\130\119\131\125\0",
	330000, "\130\59\129\58\130\126\132\5\0\131\67\129\57\130\125\132\9\0\129\57\130\125\132\9\0",
	340000, "\130\59\129\58\131\4\132\17\0\131\67\129\57\131\3\132\21\0\129\57\131\3\132\21\0",
	350000, "\130\59\129\58\131\10\132\30\0\131\67\129\57\131\9\132\34\0\129\57\131\9\132\34\0",
	360000, "\130\59\129\58\131\16\132\40\0\131\67\129\57\131\15\132\44\0\129\57\131\15\132\44\0",
	370000, "\130\59\129\58\131\22\132\50\0\131\67\129\57\131\21\132\54\0\129\57\131\21\132\54\0",
	380000, "\130\59\129\58\131\28\132\62\0\131\67\129\57\131\27\132\66\0\129\57\131\27\132\66\0",
	390000, "\130\59\129\58\131\34\132\74\0\131\67\129\57\131\33\132\78\0\129\57\131\33\132\78\0",
	400000, "\130\63\129\73\131\96\0\131\71\129\72\129\39\0\129\72\129\39\0",
	410000, "\130\63\129\75\130\114\131\109\0\131\71\129\74\130\113\131\113\0\129\74\130\113\131\113\0",
	420000, "\130\63\129\75\130\120\131\121\0\131\71\129\74\130\119\131\125\0\129\74\130\119\131\125\0",
	430000, "\130\63\129\75\130\126\132\5\0\131\71\129\74\130\125\132\9\0\129\74\130\125\132\9\0",
	440000, "\130\63\129\75\131\4\132\17\0\131\71\129\74\131\3\132\21\0\129\74\131\3\132\21\0",
	450000, "\130\63\129\75\131\10\132\30\0\131\71\129\74\131\9\132\34\0\129\74\131\9\132\34\0",
	460000, "\130\63\129\75\131\16\132\40\0\131\71\129\74\131\15\132\44\0\129\74\131\15\132\44\0",
	470000, "\130\63\129\75\131\22\132\50\0\131\71\129\74\131\21\132\54\0\129\74\131\21\132\54\0",
	480000, "\130\63\129\75\131\28\132\62\0\131\71\129\74\131\27\132\66\0\129\74\131\27\132\66\0",
	490000, "\130\63\129\75\131\34\132\74\0\131\71\129\74\131\33\132\78\0\129\74\131\33\132\78\0",
	500000, "\130\66\129\88\129\90\0\131\74\129\87\131\101\0\129\87\131\101\0",
	510000, "\130\78\129\94\131\92\0\131\89\129\93\131\36\0\129\93\131\36\0",
}

distances.feet = {
	15, "\130\65\129\86\132\82\0\131\73\129\85\132\87\0\129\85\132\87\0",
	30, "\130\45\78\131\95\0\131\51\77\129\38\0\77\129\38\0",
	46, "\130\45\119\132\29\0\131\51\118\132\87\0\118\132\87\0",
	61, "\130\56\129\37\131\95\0\131\64\129\36\129\38\0\129\36\129\38\0",
	91, "\130\59\129\56\131\95\0\131\67\129\55\129\38\0\129\55\129\38\0",
	122, "\130\63\129\73\131\95\0\131\71\129\72\129\38\0\129\72\129\38\0",
	152, "\130\66\129\88\129\89\0\131\74\129\87\131\100\0\129\87\131\100\0",
	183, "\130\69\129\109\129\89\0\131\77\129\108\131\100\0\129\108\131\100\0",
	213, "\130\72\129\124\131\95\0\131\80\129\123\131\100\0\129\123\131\100\0",
	244, "\130\73\130\11\131\95\0\131\83\130\10\131\100\0\130\10\131\100\0",
	274, "\130\76\130\26\130\27\0\131\86\130\25\131\100\0\130\25\131\100\0",
	305, "\130\59\79\132\82\0\131\67\79\132\87\0\79\132\87\0",
	402, "\130\79\130\33\0\131\88\131\94\0\131\94\0",
	644, "\130\35\50\130\92\19\0\131\38\49\130\89\21\0\49\130\89\21\0",
	805, "\130\77\131\91\0\131\87\131\90\0\131\90\0",
	966, "\130\35\50\130\99\29\0\131\38\49\130\96\31\0\49\130\96\31\0",
	1127, "\130\60\129\62\0\131\68\129\63\0\129\63\0",
	1448, "\130\35\50\130\109\44\0\131\38\49\130\106\47\0\49\130\106\47\0",
	1609, "\130\36\51\53\0\131\49\66\65\0\66\65\0",
	1770, "\130\36\6\130\82\2\0\131\39\5\130\80\4\0\5\130\80\4\0",
	1931, "\130\36\6\130\85\8\0\131\39\5\130\83\10\0\5\130\83\10\0",
	2092, "\130\36\6\130\88\14\0\131\39\5\130\86\16\0\5\130\86\16\0",
	2253, "\130\36\6\130\91\19\0\131\39\5\130\89\21\0\5\130\89\21\0",
	2414, "\130\36\6\130\95\24\0\131\39\5\130\93\26\0\5\130\93\26\0",
	2575, "\130\36\6\130\98\29\0\131\39\5\130\96\31\0\5\130\96\31\0",
	2736, "\130\36\6\130\102\34\0\131\39\5\130\100\36\0\5\130\100\36\0",
	2897, "\130\36\6\130\105\39\0\131\39\5\130\103\41\0\5\130\103\41\0",
	3058, "\130\36\6\130\108\44\0\131\39\5\130\106\47\0\5\130\106\47\0",
	3219, "\130\54\129\24\129\26\0\131\62\129\29\129\28\0\129\29\129\28\0",
	3380, "\130\34\12\130\81\2\0\131\40\11\130\80\4\0\11\130\80\4\0",
	3541, "\130\34\12\130\84\8\0\131\40\11\130\83\10\0\11\130\83\10\0",
	3701, "\130\34\12\130\87\14\0\131\40\11\130\86\16\0\11\130\86\16\0",
	3862, "\130\34\12\130\90\19\0\131\40\11\130\89\21\0\11\130\89\21\0",
	4023, "\130\34\12\130\94\24\0\131\40\11\130\93\26\0\11\130\93\26\0",
	4184, "\130\34\12\130\97\29\0\131\40\11\130\96\31\0\11\130\96\31\0",
	4345, "\130\34\12\130\101\34\0\131\40\11\130\100\36\0\11\130\100\36\0",
	4506, "\130\34\12\130\104\39\0\131\40\11\130\103\41\0\11\130\103\41\0",
	4667, "\130\34\12\130\107\44\0\131\40\11\130\106\47\0\11\130\106\47\0",
	4828, "\130\57\129\48\129\50\0\131\65\129\47\129\52\0\129\47\129\52\0",
	4989, "\130\37\17\130\81\2\0\131\41\129\61\130\80\4\0\129\61\130\80\4\0",
	5150, "\130\37\17\130\84\8\0\131\41\129\61\130\83\10\0\129\61\130\83\10\0",
	5311, "\130\37\17\130\87\14\0\131\41\129\61\130\86\16\0\129\61\130\86\16\0",
	5472, "\130\37\17\130\90\19\0\131\41\129\61\130\89\21\0\129\61\130\89\21\0",
	5633, "\130\37\17\130\94\24\0\131\41\129\61\130\93\26\0\129\61\130\93\26\0",
	5794, "\130\37\17\130\97\29\0\131\41\129\61\130\96\31\0\129\61\130\96\31\0",
	5955, "\130\37\17\130\101\34\0\131\41\129\61\130\100\36\0\129\61\130\100\36\0",
	6116, "\130\37\17\130\104\39\0\131\41\129\61\130\103\41\0\129\61\130\103\41\0",
	6276, "\130\37\17\130\107\44\0\131\41\129\61\130\106\47\0\129\61\130\106\47\0",
	6437, "\130\61\129\65\129\67\0\131\69\129\64\129\69\0\129\64\129\69\0",
	6598, "\130\38\22\130\81\2\0\131\42\129\78\130\80\4\0\129\78\130\80\4\0",
	6759, "\130\38\22\130\84\8\0\131\42\129\78\130\83\10\0\129\78\130\83\10\0",
	6920, "\130\38\22\130\87\14\0\131\42\129\78\130\86\16\0\129\78\130\86\16\0",
	7081, "\130\38\22\130\90\19\0\131\42\129\78\130\89\21\0\129\78\130\89\21\0",
	7242, "\130\38\22\130\94\24\0\131\42\129\78\130\93\26\0\129\78\130\93\26\0",
	7403, "\130\38\22\130\97\29\0\131\42\129\78\130\96\31\0\129\78\130\96\31\0",
	7564, "\130\38\22\130\101\34\0\131\42\129\78\130\100\36\0\129\78\130\100\36\0",
	7725, "\130\38\22\130\104\39\0\131\42\129\78\130\103\41\0\129\78\130\103\41\0",
	7886, "\130\38\22\130\107\44\0\131\42\129\78\130\106\47\0\129\78\130\106\47\0",
	8047, "\130\64\129\80\129\82\0\131\72\129\79\129\84\0\129\79\129\84\0",
	8208, "\130\39\27\130\81\2\0\131\43\129\99\130\80\4\0\129\99\130\80\4\0",
	8369, "\130\39\27\130\84\8\0\131\43\129\99\130\83\10\0\129\99\130\83\10\0",
	8530, "\130\39\27\130\87\14\0\131\43\129\99\130\86\16\0\129\99\130\86\16\0",
	8690, "\130\39\27\130\90\19\0\131\43\129\99\130\89\21\0\129\99\130\89\21\0",
	8851, "\130\39\27\130\94\24\0\131\43\129\99\130\93\26\0\129\99\130\93\26\0",
	9012, "\130\39\27\130\97\29\0\131\43\129\99\130\96\31\0\129\99\130\96\31\0",
	9173, "\130\39\27\130\101\34\0\131\43\129\99\130\100\36\0\129\99\130\100\36\0",
	9334, "\130\39\27\130\104\39\0\131\43\129\99\130\103\41\0\129\99\130\103\41\0",
	9495, "\130\39\27\130\107\44\0\131\43\129\99\130\106\47\0\129\99\130\106\47\0",
	9656, "\130\67\129\101\129\103\0\131\75\129\100\129\105\0\129\100\129\105\0",
	9817, "\130\40\32\130\81\2\0\131\44\129\114\130\80\4\0\129\114\130\80\4\0",
	9978, "\130\40\32\130\84\8\0\131\44\129\114\130\83\10\0\129\114\130\83\10\0",
	10139, "\130\40\32\130\87\14\0\131\44\129\114\130\86\16\0\129\114\130\86\16\0",
	10300, "\130\40\32\130\90\19\0\131\44\129\114\130\89\21\0\129\114\130\89\21\0",
	10461, "\130\40\32\130\94\24\0\131\44\129\114\130\93\26\0\129\114\130\93\26\0",
	10622, "\130\40\32\130\97\29\0\131\44\129\114\130\96\31\0\129\114\130\96\31\0",
	10783, "\130\40\32\130\101\34\0\131\44\129\114\130\100\36\0\129\114\130\100\36\0",
	10944, "\130\40\32\130\104\39\0\131\44\129\114\130\103\41\0\129\114\130\103\41\0",
	11104, "\130\40\32\130\107\44\0\131\44\129\114\130\106\47\0\129\114\130\106\47\0",
	11265, "\130\70\129\116\129\118\0\131\78\129\115\129\120\0\129\115\129\120\0",
	11426, "\130\41\37\130\81\2\0\131\45\130\1\130\80\4\0\130\1\130\80\4\0",
	11587, "\130\41\37\130\84\8\0\131\45\130\1\130\83\10\0\130\1\130\83\10\0",
	11748, "\130\41\37\130\87\14\0\131\45\130\1\130\86\16\0\130\1\130\86\16\0",
	11909, "\130\41\37\130\90\19\0\131\45\130\1\130\89\21\0\130\1\130\89\21\0",
	12070, "\130\41\37\130\94\24\0\131\45\130\1\130\93\26\0\130\1\130\93\26\0",
	12231, "\130\41\37\130\97\29\0\131\45\130\1\130\96\31\0\130\1\130\96\31\0",
	12392, "\130\41\37\130\101\34\0\131\45\130\1\130\100\36\0\130\1\130\100\36\0",
	12553, "\130\41\37\130\104\39\0\131\45\130\1\130\103\41\0\130\1\130\103\41\0",
	12714, "\130\41\37\130\107\44\0\131\45\130\1\130\106\47\0\130\1\130\106\47\0",
	12875, "\130\42\130\3\130\5\0\131\81\130\2\130\7\0\130\2\130\7\0",
	13036, "\130\42\42\130\81\2\0\131\46\130\16\130\80\4\0\130\16\130\80\4\0",
	13197, "\130\42\42\130\84\8\0\131\46\130\16\130\83\10\0\130\16\130\83\10\0",
	13358, "\130\42\42\130\87\14\0\131\46\130\16\130\86\16\0\130\16\130\86\16\0",
	13518, "\130\42\42\130\90\19\0\131\46\130\16\130\89\21\0\130\16\130\89\21\0",
	13679, "\130\42\42\130\94\24\0\131\46\130\16\130\93\26\0\130\16\130\93\26\0",
	13840, "\130\42\42\130\97\29\0\131\46\130\16\130\96\31\0\130\16\130\96\31\0",
	14001, "\130\42\42\130\101\34\0\131\46\130\16\130\100\36\0\130\16\130\100\36\0",
	14162, "\130\42\42\130\104\39\0\131\46\130\16\130\103\41\0\130\16\130\103\41\0",
	14323, "\130\42\42\130\107\44\0\131\46\130\16\130\106\47\0\130\16\130\106\47\0",
	14484, "\130\74\130\18\130\20\0\131\84\130\17\130\22\0\130\17\130\22\0",
	14645, "\130\43\45\130\81\2\0\131\47\48\130\80\4\0\48\130\80\4\0",
	14806, "\130\43\45\130\84\8\0\131\47\48\130\83\10\0\48\130\83\10\0",
	14967, "\130\43\45\130\87\14\0\131\47\48\130\86\16\0\48\130\86\16\0",
	15128, "\130\43\45\130\90\19\0\131\47\48\130\89\21\0\48\130\89\21\0",
	15289, "\130\43\45\130\94\24\0\131\47\48\130\93\26\0\48\130\93\26\0",
	15450, "\130\43\45\130\97\29\0\131\47\48\130\96\31\0\48\130\96\31\0",
	15611, "\130\43\45\130\101\34\0\131\47\48\130\100\36\0\48\130\100\36\0",
	15772, "\130\43\45\130\104\39\0\131\47\48\130\103\41\0\48\130\103\41\0",
	15933, "\130\43\45\130\107\44\0\131\47\48\130\106\47\0\48\130\106\47\0",
	16093, "\130\44\68\71\0\131\50\67\75\0\67\75\0",
	17703, "\130\46\81\83\0\131\52\80\85\0\80\85\0",
	19312, "\130\47\89\91\0\131\53\88\93\0\88\93\0",
	20921, "\130\48\97\99\0\131\54\96\101\0\96\101\0",
	22531, "\130\49\105\107\0\131\55\104\109\0\104\109\0",
	24140, "\130\50\113\115\0\131\56\112\117\0\112\117\0",
	25750, "\130\51\121\123\0\131\57\120\125\0\120\125\0",
	27359, "\130\52\129\1\129\3\0\131\58\129\0\129\5\0\129\0\129\5\0",
	28968, "\130\73\129\9\39\0\131\59\129\8\129\12\0\129\8\129\12\0",
	30578, "\130\53\129\16\129\18\0\131\60\129\15\129\20\0\129\15\129\20\0",
	32187, "\130\55\129\31\132\85\0\131\63\129\30\129\34\0\129\30\129\34\0",
	33796, "\130\55\129\46\54\131\106\0\131\63\129\45\130\111\131\108\0\129\45\130\111\131\108\0",
	35406, "\130\55\129\46\55\131\118\0\131\63\129\45\130\117\131\120\0\129\45\130\117\131\120\0",
	37015, "\130\55\129\46\56\132\2\0\131\63\129\45\130\123\132\4\0\129\45\130\123\132\4\0",
	38624, "\130\55\129\46\57\132\14\0\131\63\129\45\131\1\132\16\0\129\45\131\1\132\16\0",
	40234, "\130\55\129\46\58\132\26\0\131\63\129\45\131\7\132\28\0\129\45\131\7\132\28\0",
	41843, "\130\55\129\46\59\132\26\0\131\63\129\45\131\13\132\39\0\129\45\131\13\132\39\0",
	43452, "\130\55\129\46\60\132\26\0\131\63\129\45\131\19\132\49\0\129\45\131\19\132\49\0",
	45062, "\130\55\129\46\61\132\59\0\131\63\129\45\131\25\132\61\0\129\45\131\25\132\61\0",
	46671, "\130\55\129\46\62\132\71\0\131\63\129\45\131\31\132\73\0\129\45\131\31\132\73\0",
	48280, "\130\58\129\54\132\85\0\131\66\129\53\129\34\0\129\53\129\34\0",
	49890, "\130\58\129\60\54\131\106\0\131\66\129\59\130\111\131\108\0\129\59\130\111\131\108\0",
	51499, "\130\58\129\60\55\131\118\0\131\66\129\59\130\117\131\120\0\129\59\130\117\131\120\0",
	53108, "\130\58\129\60\56\132\2\0\131\66\129\59\130\123\132\4\0\129\59\130\123\132\4\0",
	54718, "\130\58\129\60\57\132\14\0\131\66\129\59\131\1\132\16\0\129\59\131\1\132\16\0",
	56327, "\130\58\129\60\58\132\26\0\131\66\129\59\131\7\132\28\0\129\59\131\7\132\28\0",
	57936, "\130\58\129\60\59\132\26\0\131\66\129\59\131\13\132\39\0\129\59\131\13\132\39\0",
	59546, "\130\58\129\60\60\132\26\0\131\66\129\59\131\19\132\49\0\129\59\131\19\132\49\0",
	61155, "\130\58\129\60\61\132\59\0\131\66\129\59\131\25\132\61\0\129\59\131\25\132\61\0",
	62764, "\130\58\129\60\62\132\71\0\131\66\129\59\131\31\132\73\0\129\59\131\31\132\73\0",
	64374, "\130\62\129\71\132\85\0\131\70\129\70\129\34\0\129\70\129\34\0",
	65983, "\130\62\129\77\54\131\106\0\131\70\129\76\130\111\131\108\0\129\76\130\111\131\108\0",
	67592, "\130\62\129\77\55\131\118\0\131\70\129\76\130\117\131\120\0\129\76\130\117\131\120\0",
	69202, "\130\62\129\77\56\132\2\0\131\70\129\76\130\123\132\4\0\129\76\130\123\132\4\0",
	70811, "\130\62\129\77\57\132\14\0\131\70\129\76\131\1\132\16\0\129\76\131\1\132\16\0",
	72420, "\130\62\129\77\58\132\26\0\131\70\129\76\131\7\132\28\0\129\76\131\7\132\28\0",
	74030, "\130\62\129\77\59\132\26\0\131\70\129\76\131\13\132\39\0\129\76\131\13\132\39\0",
	75639, "\130\62\129\77\60\132\26\0\131\70\129\76\131\19\132\49\0\129\76\131\19\132\49\0",
	77249, "\130\62\129\77\61\132\59\0\131\70\129\76\131\25\132\61\0\129\76\131\25\132\61\0",
	78858, "\130\62\129\77\62\132\71\0\131\70\129\76\131\31\132\73\0\129\76\131\31\132\73\0",
	80467, "\130\65\129\86\132\85\0\131\73\129\85\132\90\0\129\85\132\90\0",
	82077, "\130\65\129\98\54\131\106\0\131\73\129\97\130\110\131\108\0\129\97\130\110\131\108\0",
	83686, "\130\65\129\98\55\131\118\0\131\73\129\97\130\116\131\120\0\129\97\130\116\131\120\0",
	85295, "\130\65\129\98\56\132\2\0\131\73\129\97\130\122\132\4\0\129\97\130\122\132\4\0",
	86905, "\130\65\129\98\57\132\14\0\131\73\129\97\131\0\132\16\0\129\97\131\0\132\16\0",
	88514, "\130\65\129\98\58\132\26\0\131\73\129\97\131\6\132\28\0\129\97\131\6\132\28\0",
	90123, "\130\65\129\98\59\132\26\0\131\73\129\97\131\12\132\39\0\129\97\131\12\132\39\0",
	91733, "\130\65\129\98\60\132\26\0\131\73\129\97\131\18\132\49\0\129\97\131\18\132\49\0",
	93342, "\130\65\129\98\61\132\59\0\131\73\129\97\131\24\132\61\0\129\97\131\24\132\61\0",
	94951, "\130\65\129\98\62\132\71\0\131\73\129\97\131\30\132\73\0\129\97\131\30\132\73\0",
	96561, "\130\68\129\107\132\85\0\131\76\129\106\132\90\0\129\106\132\90\0",
	98170, "\130\68\129\113\54\131\106\0\131\76\129\112\130\110\131\108\0\129\112\130\110\131\108\0",
	99779, "\130\68\129\113\55\131\118\0\131\76\129\112\130\116\131\120\0\129\112\130\116\131\120\0",
	101389, "\130\68\129\113\56\132\2\0\131\76\129\112\130\122\132\4\0\129\112\130\122\132\4\0",
	102998, "\130\68\129\113\57\132\14\0\131\76\129\112\131\0\132\16\0\129\112\131\0\132\16\0",
	104607, "\130\68\129\113\58\132\26\0\131\76\129\112\131\6\132\28\0\129\112\131\6\132\28\0",
	106217, "\130\68\129\113\59\132\26\0\131\76\129\112\131\12\132\39\0\129\112\131\12\132\39\0",
	107826, "\130\68\129\113\60\132\26\0\131\76\129\112\131\18\132\49\0\129\112\131\18\132\49\0",
	109435, "\130\68\129\113\61\132\59\0\131\76\129\112\131\24\132\61\0\129\112\131\24\132\61\0",
	111045, "\130\68\129\113\62\132\71\0\131\76\129\112\131\30\132\73\0\129\112\131\30\132\73\0",
	112654, "\130\71\129\122\132\85\0\131\79\129\121\132\90\0\129\121\132\90\0",
	114263, "\130\71\130\0\54\131\106\0\131\79\129\127\130\110\131\108\0\129\127\130\110\131\108\0",
	115873, "\130\71\130\0\55\131\118\0\131\79\129\127\130\116\131\120\0\129\127\130\116\131\120\0",
	117482, "\130\71\130\0\56\132\2\0\131\79\129\127\130\122\132\4\0\129\127\130\122\132\4\0",
	119091, "\130\71\130\0\57\132\14\0\131\79\129\127\131\0\132\16\0\129\127\131\0\132\16\0",
	120701, "\130\71\130\0\58\132\26\0\131\79\129\127\131\6\132\28\0\129\127\131\6\132\28\0",
	122310, "\130\71\130\0\59\132\26\0\131\79\129\127\131\12\132\39\0\129\127\131\12\132\39\0",
	123919, "\130\71\130\0\60\132\26\0\131\79\129\127\131\18\132\49\0\129\127\131\18\132\49\0",
	125529, "\130\71\130\0\61\132\59\0\131\79\129\127\131\24\132\61\0\129\127\131\24\132\61\0",
	127138, "\130\71\130\0\62\132\71\0\131\79\129\127\131\30\132\73\0\129\127\131\30\132\73\0",
	128748, "\130\73\130\9\132\85\0\131\82\130\8\132\90\0\130\8\132\90\0",
	130357, "\130\73\130\15\54\131\106\0\131\82\130\14\130\110\131\108\0\130\14\130\110\131\108\0",
	131966, "\130\73\130\15\55\131\118\0\131\82\130\14\130\116\131\120\0\130\14\130\116\131\120\0",
	133576, "\130\73\130\15\56\132\2\0\131\82\130\14\130\122\132\4\0\130\14\130\122\132\4\0",
	135185, "\130\73\130\15\57\132\14\0\131\82\130\14\131\0\132\16\0\130\14\131\0\132\16\0",
	136794, "\130\73\130\15\58\132\26\0\131\82\130\14\131\6\132\28\0\130\14\131\6\132\28\0",
	138404, "\130\73\130\15\59\132\26\0\131\82\130\14\131\12\132\39\0\130\14\131\12\132\39\0",
	140013, "\130\73\130\15\60\132\26\0\131\82\130\14\131\18\132\49\0\130\14\131\18\132\49\0",
	141622, "\130\73\130\15\61\132\59\0\131\82\130\14\131\24\132\61\0\130\14\131\24\132\61\0",
	143232, "\130\73\130\15\62\132\71\0\131\82\130\14\131\30\132\73\0\130\14\131\30\132\73\0",
	144841, "\130\75\130\24\132\85\0\131\85\130\23\132\90\0\130\23\132\90\0",
	146450, "\130\75\130\32\54\131\106\0\131\85\130\31\130\110\131\108\0\130\31\130\110\131\108\0",
	148060, "\130\75\130\32\55\131\118\0\131\85\130\31\130\116\131\120\0\130\31\130\116\131\120\0",
	149669, "\130\75\130\32\56\132\2\0\131\85\130\31\130\122\132\4\0\130\31\130\122\132\4\0",
	151278, "\130\75\130\32\57\132\14\0\131\85\130\31\131\0\132\16\0\130\31\131\0\132\16\0",
	152888, "\130\75\130\32\58\132\26\0\131\85\130\31\131\6\132\28\0\130\31\131\6\132\28\0",
	154497, "\130\75\130\32\59\132\26\0\131\85\130\31\131\12\132\39\0\130\31\131\12\132\39\0",
	156106, "\130\75\130\32\60\132\26\0\131\85\130\31\131\18\132\49\0\130\31\131\18\132\49\0",
	157716, "\130\75\130\32\61\132\59\0\131\85\130\31\131\24\132\61\0\130\31\131\24\132\61\0",
	159325, "\130\75\130\32\62\132\71\0\131\85\130\31\131\30\132\73\0\130\31\131\30\132\73\0",
	160934, "\130\45\78\131\98\0\131\51\77\129\41\0\77\129\41\0",
	177028, "\130\45\87\131\111\0\131\51\86\131\115\0\86\131\115\0",
	193121, "\130\45\95\131\123\0\131\51\94\131\127\0\94\131\127\0",
	209215, "\130\45\103\132\7\0\131\51\102\132\11\0\102\132\11\0",
	225308, "\130\45\111\132\19\0\131\51\110\132\23\0\110\132\23\0",
	241402, "\130\45\119\132\32\0\131\51\118\132\36\0\118\132\36\0",
	257495, "\130\45\127\132\42\0\131\51\126\132\46\0\126\132\46\0",
	273588, "\130\45\129\7\132\52\0\131\51\129\6\132\56\0\129\6\132\56\0",
	289682, "\130\45\129\14\132\64\0\131\51\129\13\132\68\0\129\13\132\68\0",
	305775, "\130\45\129\22\132\76\0\131\51\129\21\132\80\0\129\21\132\80\0",
	321869, "\130\56\129\37\131\98\0\131\64\129\36\129\41\0\129\36\129\41\0",
	337962, "\130\56\129\44\130\114\131\111\0\131\64\129\43\130\113\131\115\0\129\43\130\113\131\115\0",
	354056, "\130\56\129\44\130\120\131\123\0\131\64\129\43\130\119\131\127\0\129\43\130\119\131\127\0",
	370149, "\130\56\129\44\130\126\132\7\0\131\64\129\43\130\125\132\11\0\129\43\130\125\132\11\0",
	386243, "\130\56\129\44\131\4\132\19\0\131\64\129\43\131\3\132\23\0\129\43\131\3\132\23\0",
	402336, "\130\56\129\44\131\10\132\32\0\131\64\129\43\131\9\132\36\0\129\43\131\9\132\36\0",
	418429, "\130\56\129\44\131\16\132\42\0\131\64\129\43\131\15\132\46\0\129\43\131\15\132\46\0",
	434523, "\130\56\129\44\131\22\132\52\0\131\64\129\43\131\21\132\56\0\129\43\131\21\132\56\0",
	450616, "\130\56\129\44\131\28\132\64\0\131\64\129\43\131\27\132\68\0\129\43\131\27\132\68\0",
	466710, "\130\56\129\44\131\34\132\76\0\131\64\129\43\131\33\132\80\0\129\43\131\33\132\80\0",
	482803, "\130\59\129\56\131\98\0\131\67\129\55\129\41\0\129\55\129\41\0",
	498897, "\130\59\129\58\130\114\131\111\0\131\67\129\57\130\113\131\115\0\129\57\130\113\131\115\0",
	514990, "\130\59\129\58\130\120\131\123\0\131\67\129\57\130\119\131\127\0\129\57\130\119\131\127\0",
	531084, "\130\59\129\58\130\126\132\7\0\131\67\129\57\130\125\132\11\0\129\57\130\125\132\11\0",
	547177, "\130\59\129\58\131\4\132\19\0\131\67\129\57\131\3\132\23\0\129\57\131\3\132\23\0",
	563270, "\130\59\129\58\131\10\132\32\0\131\67\129\57\131\9\132\36\0\129\57\131\9\132\36\0",
	579364, "\130\59\129\58\131\16\132\42\0\131\67\129\57\131\15\132\46\0\129\57\131\15\132\46\0",
	595457, "\130\59\129\58\131\22\132\52\0\131\67\129\57\131\21\132\56\0\129\57\131\21\132\56\0",
	611551, "\130\59\129\58\131\28\132\64\0\131\67\129\57\131\27\132\68\0\129\57\131\27\132\68\0",
	627644, "\130\59\129\58\131\34\132\76\0\131\67\129\57\131\33\132\80\0\129\57\131\33\132\80\0",
	643738, "\130\63\129\73\131\98\0\131\71\129\72\129\41\0\129\72\129\41\0",
	659831, "\130\63\129\75\130\114\131\111\0\131\71\129\74\130\113\131\115\0\129\74\130\113\131\115\0",
	675924, "\130\63\129\75\130\120\131\123\0\131\71\129\74\130\119\131\127\0\129\74\130\119\131\127\0",
	692018, "\130\63\129\75\130\126\132\7\0\131\71\129\74\130\125\132\11\0\129\74\130\125\132\11\0",
	708111, "\130\63\129\75\131\4\132\19\0\131\71\129\74\131\3\132\23\0\129\74\131\3\132\23\0",
	724205, "\130\63\129\75\131\10\132\32\0\131\71\129\74\131\9\132\36\0\129\74\131\9\132\36\0",
	740298, "\130\63\129\75\131\16\132\42\0\131\71\129\74\131\15\132\46\0\129\74\131\15\132\46\0",
	756392, "\130\63\129\75\131\22\132\52\0\131\71\129\74\131\21\132\56\0\129\74\131\21\132\56\0",
	772485, "\130\63\129\75\131\28\132\64\0\131\71\129\74\131\27\132\68\0\129\74\131\27\132\68\0",
	788579, "\130\63\129\75\131\34\132\76\0\131\71\129\74\131\33\132\80\0\129\74\131\33\132\80\0",
	804672, "\130\66\129\88\129\92\0\131\74\129\87\131\103\0\129\87\131\103\0",
	820765, "\130\78\129\94\131\93\0\131\89\129\93\131\37\0\129\93\131\37\0",
}

distances.yards = {
	9, "\130\44\68\72\0\131\50\67\76\0\67\76\0",
	18, "\130\55\129\31\132\86\0\131\63\129\30\129\35\0\129\30\129\35\0",
	27, "\130\58\129\54\132\86\0\131\66\129\53\129\35\0\129\53\129\35\0",
	37, "\130\62\129\71\132\86\0\131\70\129\70\129\35\0\129\70\129\35\0",
	46, "\130\65\129\86\132\86\0\131\73\129\85\132\91\0\129\85\132\91\0",
	55, "\130\68\129\107\132\86\0\131\76\129\106\132\91\0\129\106\132\91\0",
	64, "\130\71\129\122\132\86\0\131\79\129\121\132\91\0\129\121\132\91\0",
	73, "\130\73\130\9\132\86\0\131\82\130\8\132\91\0\130\8\132\91\0",
	82, "\130\75\130\24\132\86\0\131\85\130\23\132\91\0\130\23\132\91\0",
	91, "\130\45\78\131\99\0\131\51\77\131\104\0\77\131\104\0",
	101, "\130\45\87\131\112\0\131\51\86\131\116\0\86\131\116\0",
	110, "\130\45\95\131\124\0\131\51\94\132\0\0\94\132\0\0",
	119, "\130\45\103\132\8\0\131\51\102\132\12\0\102\132\12\0",
	128, "\130\45\111\132\20\0\131\51\110\132\24\0\110\132\24\0",
	137, "\130\45\119\132\33\0\131\51\118\132\37\0\118\132\37\0",
	146, "\130\45\127\132\43\0\131\51\126\132\47\0\126\132\47\0",
	155, "\130\45\129\7\132\53\0\131\51\129\6\132\57\0\129\6\132\57\0",
	165, "\130\45\129\14\132\65\0\131\51\129\13\132\69\0\129\13\132\69\0",
	174, "\130\45\129\22\132\77\0\131\51\129\21\132\81\0\129\21\132\81\0",
	183, "\130\56\129\37\131\99\0\131\64\129\36\129\42\0\129\36\129\42\0",
	192, "\130\56\129\44\130\114\131\112\0\131\64\129\43\130\113\131\116\0\129\43\130\113\131\116\0",
	201, "\130\56\129\44\130\120\131\124\0\131\64\129\43\130\119\132\0\0\129\43\130\119\132\0\0",
	210, "\130\56\129\44\130\126\132\8\0\131\64\129\43\130\125\132\12\0\129\43\130\125\132\12\0",
	219, "\130\56\129\44\131\4\132\20\0\131\64\129\43\131\3\132\24\0\129\43\131\3\132\24\0",
	229, "\130\56\129\44\131\10\132\33\0\131\64\129\43\131\9\132\37\0\129\43\131\9\132\37\0",
	238, "\130\56\129\44\131\16\132\43\0\131\64\129\43\131\15\132\47\0\129\43\131\15\132\47\0",
	247, "\130\56\129\44\131\22\132\53\0\131\64\129\43\131\21\132\57\0\129\43\131\21\132\57\0",
	256, "\130\56\129\44\131\28\132\65\0\131\64\129\43\131\27\132\69\0\129\43\131\27\132\69\0",
	265, "\130\56\129\44\131\34\132\77\0\131\64\129\43\131\33\132\81\0\129\43\131\33\132\81\0",
	274, "\130\59\129\56\131\99\0\131\67\129\55\129\42\0\129\55\129\42\0",
	283, "\130\59\129\58\130\114\131\112\0\131\67\129\57\130\113\131\116\0\129\57\130\113\131\116\0",
	293, "\130\59\129\58\130\120\131\124\0\131\67\129\57\130\119\132\0\0\129\57\130\119\132\0\0",
	302, "\130\59\129\58\130\126\132\8\0\131\67\129\57\130\125\132\12\0\129\57\130\125\132\12\0",
	311, "\130\59\129\58\131\4\132\20\0\131\67\129\57\131\3\132\24\0\129\57\131\3\132\24\0",
	320, "\130\59\129\58\131\10\132\33\0\131\67\129\57\131\9\132\37\0\129\57\131\9\132\37\0",
	329, "\130\59\129\58\131\16\132\43\0\131\67\129\57\131\15\132\47\0\129\57\131\15\132\47\0",
	338, "\130\59\129\58\131\22\132\53\0\131\67\129\57\131\21\132\57\0\129\57\131\21\132\57\0",
	347, "\130\59\129\58\131\28\132\65\0\131\67\129\57\131\27\132\69\0\129\57\131\27\132\69\0",
	357, "\130\59\129\58\131\34\132\77\0\131\67\129\57\131\33\132\81\0\129\57\131\33\132\81\0",
	366, "\130\63\129\73\131\99\0\131\71\129\72\129\42\0\129\72\129\42\0",
	402, "\130\79\130\33\0\131\88\131\94\0\131\94\0",
	644, "\130\35\50\130\92\19\0\131\38\49\130\89\21\0\49\130\89\21\0",
	805, "\130\77\131\91\0\131\87\131\90\0\131\90\0",
	966, "\130\35\50\130\99\29\0\131\38\49\130\96\31\0\49\130\96\31\0",
	1127, "\130\60\129\62\0\131\68\129\63\0\129\63\0",
	1448, "\130\35\50\130\109\44\0\131\38\49\130\106\47\0\49\130\106\47\0",
	1609, "\130\36\51\53\0\131\49\66\65\0\66\65\0",
	1770, "\130\36\6\130\82\2\0\131\39\5\130\80\4\0\5\130\80\4\0",
	1931, "\130\36\6\130\85\8\0\131\39\5\130\83\10\0\5\130\83\10\0",
	2092, "\130\36\6\130\88\14\0\131\39\5\130\86\16\0\5\130\86\16\0",
	2253, "\130\36\6\130\91\19\0\131\39\5\130\89\21\0\5\130\89\21\0",
	2414, "\130\36\6\130\95\24\0\131\39\5\130\93\26\0\5\130\93\26\0",
	2575, "\130\36\6\130\98\29\0\131\39\5\130\96\31\0\5\130\96\31\0",
	2736, "\130\36\6\130\102\34\0\131\39\5\130\100\36\0\5\130\100\36\0",
	2897, "\130\36\6\130\105\39\0\131\39\5\130\103\41\0\5\130\103\41\0",
	3058, "\130\36\6\130\108\44\0\131\39\5\130\106\47\0\5\130\106\47\0",
	3219, "\130\54\129\24\129\26\0\131\62\129\29\129\28\0\129\29\129\28\0",
	3380, "\130\34\12\130\81\2\0\131\40\11\130\80\4\0\11\130\80\4\0",
	3541, "\130\34\12\130\84\8\0\131\40\11\130\83\10\0\11\130\83\10\0",
	3701, "\130\34\12\130\87\14\0\131\40\11\130\86\16\0\11\130\86\16\0",
	3862, "\130\34\12\130\90\19\0\131\40\11\130\89\21\0\11\130\89\21\0",
	4023, "\130\34\12\130\94\24\0\131\40\11\130\93\26\0\11\130\93\26\0",
	4184, "\130\34\12\130\97\29\0\131\40\11\130\96\31\0\11\130\96\31\0",
	4345, "\130\34\12\130\101\34\0\131\40\11\130\100\36\0\11\130\100\36\0",
	4506, "\130\34\12\130\104\39\0\131\40\11\130\103\41\0\11\130\103\41\0",
	4667, "\130\34\12\130\107\44\0\131\40\11\130\106\47\0\11\130\106\47\0",
	4828, "\130\57\129\48\129\50\0\131\65\129\47\129\52\0\129\47\129\52\0",
	4989, "\130\37\17\130\81\2\0\131\41\129\61\130\80\4\0\129\61\130\80\4\0",
	5150, "\130\37\17\130\84\8\0\131\41\129\61\130\83\10\0\129\61\130\83\10\0",
	5311, "\130\37\17\130\87\14\0\131\41\129\61\130\86\16\0\129\61\130\86\16\0",
	5472, "\130\37\17\130\90\19\0\131\41\129\61\130\89\21\0\129\61\130\89\21\0",
	5633, "\130\37\17\130\94\24\0\131\41\129\61\130\93\26\0\129\61\130\93\26\0",
	5794, "\130\37\17\130\97\29\0\131\41\129\61\130\96\31\0\129\61\130\96\31\0",
	5955, "\130\37\17\130\101\34\0\131\41\129\61\130\100\36\0\129\61\130\100\36\0",
	6116, "\130\37\17\130\104\39\0\131\41\129\61\130\103\41\0\129\61\130\103\41\0",
	6276, "\130\37\17\130\107\44\0\131\41\129\61\130\106\47\0\129\61\130\106\47\0",
	6437, "\130\61\129\65\129\67\0\131\69\129\64\129\69\0\129\64\129\69\0",
	6598, "\130\38\22\130\81\2\0\131\42\129\78\130\80\4\0\129\78\130\80\4\0",
	6759, "\130\38\22\130\84\8\0\131\42\129\78\130\83\10\0\129\78\130\83\10\0",
	6920, "\130\38\22\130\87\14\0\131\42\129\78\130\86\16\0\129\78\130\86\16\0",
	7081, "\130\38\22\130\90\19\0\131\42\129\78\130\89\21\0\129\78\130\89\21\0",
	7242, "\130\38\22\130\94\24\0\131\42\129\78\130\93\26\0\129\78\130\93\26\0",
	7403, "\130\38\22\130\97\29\0\131\42\129\78\130\96\31\0\129\78\130\96\31\0",
	7564, "\130\38\22\130\101\34\0\131\42\129\78\130\100\36\0\129\78\130\100\36\0",
	7725, "\130\38\22\130\104\39\0\131\42\129\78\130\103\41\0\129\78\130\103\41\0",
	7886, "\130\38\22\130\107\44\0\131\42\129\78\130\106\47\0\129\78\130\106\47\0",
	8047, "\130\64\129\80\129\82\0\131\72\129\79\129\84\0\129\79\129\84\0",
	8208, "\130\39\27\130\81\2\0\131\43\129\99\130\80\4\0\129\99\130\80\4\0",
	8369, "\130\39\27\130\84\8\0\131\43\129\99\130\83\10\0\129\99\130\83\10\0",
	8530, "\130\39\27\130\87\14\0\131\43\129\99\130\86\16\0\129\99\130\86\16\0",
	8690, "\130\39\27\130\90\19\0\131\43\129\99\130\89\21\0\129\99\130\89\21\0",
	8851, "\130\39\27\130\94\24\0\131\43\129\99\130\93\26\0\129\99\130\93\26\0",
	9012, "\130\39\27\130\97\29\0\131\43\129\99\130\96\31\0\129\99\130\96\31\0",
	9173, "\130\39\27\130\101\34\0\131\43\129\99\130\100\36\0\129\99\130\100\36\0",
	9334, "\130\39\27\130\104\39\0\131\43\129\99\130\103\41\0\129\99\130\103\41\0",
	9495, "\130\39\27\130\107\44\0\131\43\129\99\130\106\47\0\129\99\130\106\47\0",
	9656, "\130\67\129\101\129\103\0\131\75\129\100\129\105\0\129\100\129\105\0",
	9817, "\130\40\32\130\81\2\0\131\44\129\114\130\80\4\0\129\114\130\80\4\0",
	9978, "\130\40\32\130\84\8\0\131\44\129\114\130\83\10\0\129\114\130\83\10\0",
	10139, "\130\40\32\130\87\14\0\131\44\129\114\130\86\16\0\129\114\130\86\16\0",
	10300, "\130\40\32\130\90\19\0\131\44\129\114\130\89\21\0\129\114\130\89\21\0",
	10461, "\130\40\32\130\94\24\0\131\44\129\114\130\93\26\0\129\114\130\93\26\0",
	10622, "\130\40\32\130\97\29\0\131\44\129\114\130\96\31\0\129\114\130\96\31\0",
	10783, "\130\40\32\130\101\34\0\131\44\129\114\130\100\36\0\129\114\130\100\36\0",
	10944, "\130\40\32\130\104\39\0\131\44\129\114\130\103\41\0\129\114\130\103\41\0",
	11104, "\130\40\32\130\107\44\0\131\44\129\114\130\106\47\0\129\114\130\106\47\0",
	11265, "\130\70\129\116\129\118\0\131\78\129\115\129\120\0\129\115\129\120\0",
	11426, "\130\41\37\130\81\2\0\131\45\130\1\130\80\4\0\130\1\130\80\4\0",
	11587, "\130\41\37\130\84\8\0\131\45\130\1\130\83\10\0\130\1\130\83\10\0",
	11748, "\130\41\37\130\87\14\0\131\45\130\1\130\86\16\0\130\1\130\86\16\0",
	11909, "\130\41\37\130\90\19\0\131\45\130\1\130\89\21\0\130\1\130\89\21\0",
	12070, "\130\41\37\130\94\24\0\131\45\130\1\130\93\26\0\130\1\130\93\26\0",
	12231, "\130\41\37\130\97\29\0\131\45\130\1\130\96\31\0\130\1\130\96\31\0",
	12392, "\130\41\37\130\101\34\0\131\45\130\1\130\100\36\0\130\1\130\100\36\0",
	12553, "\130\41\37\130\104\39\0\131\45\130\1\130\103\41\0\130\1\130\103\41\0",
	12714, "\130\41\37\130\107\44\0\131\45\130\1\130\106\47\0\130\1\130\106\47\0",
	12875, "\130\42\130\3\130\5\0\131\81\130\2\130\7\0\130\2\130\7\0",
	13036, "\130\42\42\130\81\2\0\131\46\130\16\130\80\4\0\130\16\130\80\4\0",
	13197, "\130\42\42\130\84\8\0\131\46\130\16\130\83\10\0\130\16\130\83\10\0",
	13358, "\130\42\42\130\87\14\0\131\46\130\16\130\86\16\0\130\16\130\86\16\0",
	13518, "\130\42\42\130\90\19\0\131\46\130\16\130\89\21\0\130\16\130\89\21\0",
	13679, "\130\42\42\130\94\24\0\131\46\130\16\130\93\26\0\130\16\130\93\26\0",
	13840, "\130\42\42\130\97\29\0\131\46\130\16\130\96\31\0\130\16\130\96\31\0",
	14001, "\130\42\42\130\101\34\0\131\46\130\16\130\100\36\0\130\16\130\100\36\0",
	14162, "\130\42\42\130\104\39\0\131\46\130\16\130\103\41\0\130\16\130\103\41\0",
	14323, "\130\42\42\130\107\44\0\131\46\130\16\130\106\47\0\130\16\130\106\47\0",
	14484, "\130\74\130\18\130\20\0\131\84\130\17\130\22\0\130\17\130\22\0",
	14645, "\130\43\45\130\81\2\0\131\47\48\130\80\4\0\48\130\80\4\0",
	14806, "\130\43\45\130\84\8\0\131\47\48\130\83\10\0\48\130\83\10\0",
	14967, "\130\43\45\130\87\14\0\131\47\48\130\86\16\0\48\130\86\16\0",
	15128, "\130\43\45\130\90\19\0\131\47\48\130\89\21\0\48\130\89\21\0",
	15289, "\130\43\45\130\94\24\0\131\47\48\130\93\26\0\48\130\93\26\0",
	15450, "\130\43\45\130\97\29\0\131\47\48\130\96\31\0\48\130\96\31\0",
	15611, "\130\43\45\130\101\34\0\131\47\48\130\100\36\0\48\130\100\36\0",
	15772, "\130\43\45\130\104\39\0\131\47\48\130\103\41\0\48\130\103\41\0",
	15933, "\130\43\45\130\107\44\0\131\47\48\130\106\47\0\48\130\106\47\0",
	16093, "\130\44\68\71\0\131\50\67\75\0\67\75\0",
	17703, "\130\46\81\83\0\131\52\80\85\0\80\85\0",
	19312, "\130\47\89\91\0\131\53\88\93\0\88\93\0",
	20921, "\130\48\97\99\0\131\54\96\101\0\96\101\0",
	22531, "\130\49\105\107\0\131\55\104\109\0\104\109\0",
	24140, "\130\50\113\115\0\131\56\112\117\0\112\117\0",
	25750, "\130\51\121\123\0\131\57\120\125\0\120\125\0",
	27359, "\130\52\129\1\129\3\0\131\58\129\0\129\5\0\129\0\129\5\0",
	28968, "\130\73\129\9\39\0\131\59\129\8\129\12\0\129\8\129\12\0",
	30578, "\130\53\129\16\129\18\0\131\60\129\15\129\20\0\129\15\129\20\0",
	32187, "\130\55\129\31\132\85\0\131\63\129\30\129\34\0\129\30\129\34\0",
	33796, "\130\55\129\46\54\131\106\0\131\63\129\45\130\111\131\108\0\129\45\130\111\131\108\0",
	35406, "\130\55\129\46\55\131\118\0\131\63\129\45\130\117\131\120\0\129\45\130\117\131\120\0",
	37015, "\130\55\129\46\56\132\2\0\131\63\129\45\130\123\132\4\0\129\45\130\123\132\4\0",
	38624, "\130\55\129\46\57\132\14\0\131\63\129\45\131\1\132\16\0\129\45\131\1\132\16\0",
	40234, "\130\55\129\46\58\132\26\0\131\63\129\45\131\7\132\28\0\129\45\131\7\132\28\0",
	41843, "\130\55\129\46\59\132\26\0\131\63\129\45\131\13\132\39\0\129\45\131\13\132\39\0",
	43452, "\130\55\129\46\60\132\26\0\131\63\129\45\131\19\132\49\0\129\45\131\19\132\49\0",
	45062, "\130\55\129\46\61\132\59\0\131\63\129\45\131\25\132\61\0\129\45\131\25\132\61\0",
	46671, "\130\55\129\46\62\132\71\0\131\63\129\45\131\31\132\73\0\129\45\131\31\132\73\0",
	48280, "\130\58\129\54\132\85\0\131\66\129\53\129\34\0\129\53\129\34\0",
	49890, "\130\58\129\60\54\131\106\0\131\66\129\59\130\111\131\108\0\129\59\130\111\131\108\0",
	51499, "\130\58\129\60\55\131\118\0\131\66\129\59\130\117\131\120\0\129\59\130\117\131\120\0",
	53108, "\130\58\129\60\56\132\2\0\131\66\129\59\130\123\132\4\0\129\59\130\123\132\4\0",
	54718, "\130\58\129\60\57\132\14\0\131\66\129\59\131\1\132\16\0\129\59\131\1\132\16\0",
	56327, "\130\58\129\60\58\132\26\0\131\66\129\59\131\7\132\28\0\129\59\131\7\132\28\0",
	57936, "\130\58\129\60\59\132\26\0\131\66\129\59\131\13\132\39\0\129\59\131\13\132\39\0",
	59546, "\130\58\129\60\60\132\26\0\131\66\129\59\131\19\132\49\0\129\59\131\19\132\49\0",
	61155, "\130\58\129\60\61\132\59\0\131\66\129\59\131\25\132\61\0\129\59\131\25\132\61\0",
	62764, "\130\58\129\60\62\132\71\0\131\66\129\59\131\31\132\73\0\129\59\131\31\132\73\0",
	64374, "\130\62\129\71\132\85\0\131\70\129\70\129\34\0\129\70\129\34\0",
	65983, "\130\62\129\77\54\131\106\0\131\70\129\76\130\111\131\108\0\129\76\130\111\131\108\0",
	67592, "\130\62\129\77\55\131\118\0\131\70\129\76\130\117\131\120\0\129\76\130\117\131\120\0",
	69202, "\130\62\129\77\56\132\2\0\131\70\129\76\130\123\132\4\0\129\76\130\123\132\4\0",
	70811, "\130\62\129\77\57\132\14\0\131\70\129\76\131\1\132\16\0\129\76\131\1\132\16\0",
	72420, "\130\62\129\77\58\132\26\0\131\70\129\76\131\7\132\28\0\129\76\131\7\132\28\0",
	74030, "\130\62\129\77\59\132\26\0\131\70\129\76\131\13\132\39\0\129\76\131\13\132\39\0",
	75639, "\130\62\129\77\60\132\26\0\131\70\129\76\131\19\132\49\0\129\76\131\19\132\49\0",
	77249, "\130\62\129\77\61\132\59\0\131\70\129\76\131\25\132\61\0\129\76\131\25\132\61\0",
	78858, "\130\62\129\77\62\132\71\0\131\70\129\76\131\31\132\73\0\129\76\131\31\132\73\0",
	80467, "\130\65\129\86\132\85\0\131\73\129\85\132\90\0\129\85\132\90\0",
	82077, "\130\65\129\98\54\131\106\0\131\73\129\97\130\110\131\108\0\129\97\130\110\131\108\0",
	83686, "\130\65\129\98\55\131\118\0\131\73\129\97\130\116\131\120\0\129\97\130\116\131\120\0",
	85295, "\130\65\129\98\56\132\2\0\131\73\129\97\130\122\132\4\0\129\97\130\122\132\4\0",
	86905, "\130\65\129\98\57\132\14\0\131\73\129\97\131\0\132\16\0\129\97\131\0\132\16\0",
	88514, "\130\65\129\98\58\132\26\0\131\73\129\97\131\6\132\28\0\129\97\131\6\132\28\0",
	90123, "\130\65\129\98\59\132\26\0\131\73\129\97\131\12\132\39\0\129\97\131\12\132\39\0",
	91733, "\130\65\129\98\60\132\26\0\131\73\129\97\131\18\132\49\0\129\97\131\18\132\49\0",
	93342, "\130\65\129\98\61\132\59\0\131\73\129\97\131\24\132\61\0\129\97\131\24\132\61\0",
	94951, "\130\65\129\98\62\132\71\0\131\73\129\97\131\30\132\73\0\129\97\131\30\132\73\0",
	96561, "\130\68\129\107\132\85\0\131\76\129\106\132\90\0\129\106\132\90\0",
	98170, "\130\68\129\113\54\131\106\0\131\76\129\112\130\110\131\108\0\129\112\130\110\131\108\0",
	99779, "\130\68\129\113\55\131\118\0\131\76\129\112\130\116\131\120\0\129\112\130\116\131\120\0",
	101389, "\130\68\129\113\56\132\2\0\131\76\129\112\130\122\132\4\0\129\112\130\122\132\4\0",
	102998, "\130\68\129\113\57\132\14\0\131\76\129\112\131\0\132\16\0\129\112\131\0\132\16\0",
	104607, "\130\68\129\113\58\132\26\0\131\76\129\112\131\6\132\28\0\129\112\131\6\132\28\0",
	106217, "\130\68\129\113\59\132\26\0\131\76\129\112\131\12\132\39\0\129\112\131\12\132\39\0",
	107826, "\130\68\129\113\60\132\26\0\131\76\129\112\131\18\132\49\0\129\112\131\18\132\49\0",
	109435, "\130\68\129\113\61\132\59\0\131\76\129\112\131\24\132\61\0\129\112\131\24\132\61\0",
	111045, "\130\68\129\113\62\132\71\0\131\76\129\112\131\30\132\73\0\129\112\131\30\132\73\0",
	112654, "\130\71\129\122\132\85\0\131\79\129\121\132\90\0\129\121\132\90\0",
	114263, "\130\71\130\0\54\131\106\0\131\79\129\127\130\110\131\108\0\129\127\130\110\131\108\0",
	115873, "\130\71\130\0\55\131\118\0\131\79\129\127\130\116\131\120\0\129\127\130\116\131\120\0",
	117482, "\130\71\130\0\56\132\2\0\131\79\129\127\130\122\132\4\0\129\127\130\122\132\4\0",
	119091, "\130\71\130\0\57\132\14\0\131\79\129\127\131\0\132\16\0\129\127\131\0\132\16\0",
	120701, "\130\71\130\0\58\132\26\0\131\79\129\127\131\6\132\28\0\129\127\131\6\132\28\0",
	122310, "\130\71\130\0\59\132\26\0\131\79\129\127\131\12\132\39\0\129\127\131\12\132\39\0",
	123919, "\130\71\130\0\60\132\26\0\131\79\129\127\131\18\132\49\0\129\127\131\18\132\49\0",
	125529, "\130\71\130\0\61\132\59\0\131\79\129\127\131\24\132\61\0\129\127\131\24\132\61\0",
	127138, "\130\71\130\0\62\132\71\0\131\79\129\127\131\30\132\73\0\129\127\131\30\132\73\0",
	128748, "\130\73\130\9\132\85\0\131\82\130\8\132\90\0\130\8\132\90\0",
	130357, "\130\73\130\15\54\131\106\0\131\82\130\14\130\110\131\108\0\130\14\130\110\131\108\0",
	131966, "\130\73\130\15\55\131\118\0\131\82\130\14\130\116\131\120\0\130\14\130\116\131\120\0",
	133576, "\130\73\130\15\56\132\2\0\131\82\130\14\130\122\132\4\0\130\14\130\122\132\4\0",
	135185, "\130\73\130\15\57\132\14\0\131\82\130\14\131\0\132\16\0\130\14\131\0\132\16\0",
	136794, "\130\73\130\15\58\132\26\0\131\82\130\14\131\6\132\28\0\130\14\131\6\132\28\0",
	138404, "\130\73\130\15\59\132\26\0\131\82\130\14\131\12\132\39\0\130\14\131\12\132\39\0",
	140013, "\130\73\130\15\60\132\26\0\131\82\130\14\131\18\132\49\0\130\14\131\18\132\49\0",
	141622, "\130\73\130\15\61\132\59\0\131\82\130\14\131\24\132\61\0\130\14\131\24\132\61\0",
	143232, "\130\73\130\15\62\132\71\0\131\82\130\14\131\30\132\73\0\130\14\131\30\132\73\0",
	144841, "\130\75\130\24\132\85\0\131\85\130\23\132\90\0\130\23\132\90\0",
	146450, "\130\75\130\32\54\131\106\0\131\85\130\31\130\110\131\108\0\130\31\130\110\131\108\0",
	148060, "\130\75\130\32\55\131\118\0\131\85\130\31\130\116\131\120\0\130\31\130\116\131\120\0",
	149669, "\130\75\130\32\56\132\2\0\131\85\130\31\130\122\132\4\0\130\31\130\122\132\4\0",
	151278, "\130\75\130\32\57\132\14\0\131\85\130\31\131\0\132\16\0\130\31\131\0\132\16\0",
	152888, "\130\75\130\32\58\132\26\0\131\85\130\31\131\6\132\28\0\130\31\131\6\132\28\0",
	154497, "\130\75\130\32\59\132\26\0\131\85\130\31\131\12\132\39\0\130\31\131\12\132\39\0",
	156106, "\130\75\130\32\60\132\26\0\131\85\130\31\131\18\132\49\0\130\31\131\18\132\49\0",
	157716, "\130\75\130\32\61\132\59\0\131\85\130\31\131\24\132\61\0\130\31\131\24\132\61\0",
	159325, "\130\75\130\32\62\132\71\0\131\85\130\31\131\30\132\73\0\130\31\131\30\132\73\0",
	160934, "\130\45\78\131\98\0\131\51\77\129\41\0\77\129\41\0",
	177028, "\130\45\87\131\111\0\131\51\86\131\115\0\86\131\115\0",
	193121, "\130\45\95\131\123\0\131\51\94\131\127\0\94\131\127\0",
	209215, "\130\45\103\132\7\0\131\51\102\132\11\0\102\132\11\0",
	225308, "\130\45\111\132\19\0\131\51\110\132\23\0\110\132\23\0",
	241402, "\130\45\119\132\32\0\131\51\118\132\36\0\118\132\36\0",
	257495, "\130\45\127\132\42\0\131\51\126\132\46\0\126\132\46\0",
	273588, "\130\45\129\7\132\52\0\131\51\129\6\132\56\0\129\6\132\56\0",
	289682, "\130\45\129\14\132\64\0\131\51\129\13\132\68\0\129\13\132\68\0",
	305775, "\130\45\129\22\132\76\0\131\51\129\21\132\80\0\129\21\132\80\0",
	321869, "\130\56\129\37\131\98\0\131\64\129\36\129\41\0\129\36\129\41\0",
	337962, "\130\56\129\44\130\114\131\111\0\131\64\129\43\130\113\131\115\0\129\43\130\113\131\115\0",
	354056, "\130\56\129\44\130\120\131\123\0\131\64\129\43\130\119\131\127\0\129\43\130\119\131\127\0",
	370149, "\130\56\129\44\130\126\132\7\0\131\64\129\43\130\125\132\11\0\129\43\130\125\132\11\0",
	386243, "\130\56\129\44\131\4\132\19\0\131\64\129\43\131\3\132\23\0\129\43\131\3\132\23\0",
	402336, "\130\56\129\44\131\10\132\32\0\131\64\129\43\131\9\132\36\0\129\43\131\9\132\36\0",
	418429, "\130\56\129\44\131\16\132\42\0\131\64\129\43\131\15\132\46\0\129\43\131\15\132\46\0",
	434523, "\130\56\129\44\131\22\132\52\0\131\64\129\43\131\21\132\56\0\129\43\131\21\132\56\0",
	450616, "\130\56\129\44\131\28\132\64\0\131\64\129\43\131\27\132\68\0\129\43\131\27\132\68\0",
	466710, "\130\56\129\44\131\34\132\76\0\131\64\129\43\131\33\132\80\0\129\43\131\33\132\80\0",
	482803, "\130\59\129\56\131\98\0\131\67\129\55\129\41\0\129\55\129\41\0",
	498897, "\130\59\129\58\130\114\131\111\0\131\67\129\57\130\113\131\115\0\129\57\130\113\131\115\0",
	514990, "\130\59\129\58\130\120\131\123\0\131\67\129\57\130\119\131\127\0\129\57\130\119\131\127\0",
	531084, "\130\59\129\58\130\126\132\7\0\131\67\129\57\130\125\132\11\0\129\57\130\125\132\11\0",
	547177, "\130\59\129\58\131\4\132\19\0\131\67\129\57\131\3\132\23\0\129\57\131\3\132\23\0",
	563270, "\130\59\129\58\131\10\132\32\0\131\67\129\57\131\9\132\36\0\129\57\131\9\132\36\0",
	579364, "\130\59\129\58\131\16\132\42\0\131\67\129\57\131\15\132\46\0\129\57\131\15\132\46\0",
	595457, "\130\59\129\58\131\22\132\52\0\131\67\129\57\131\21\132\56\0\129\57\131\21\132\56\0",
	611551, "\130\59\129\58\131\28\132\64\0\131\67\129\57\131\27\132\68\0\129\57\131\27\132\68\0",
	627644, "\130\59\129\58\131\34\132\76\0\131\67\129\57\131\33\132\80\0\129\57\131\33\132\80\0",
	643738, "\130\63\129\73\131\98\0\131\71\129\72\129\41\0\129\72\129\41\0",
	659831, "\130\63\129\75\130\114\131\111\0\131\71\129\74\130\113\131\115\0\129\74\130\113\131\115\0",
	675924, "\130\63\129\75\130\120\131\123\0\131\71\129\74\130\119\131\127\0\129\74\130\119\131\127\0",
	692018, "\130\63\129\75\130\126\132\7\0\131\71\129\74\130\125\132\11\0\129\74\130\125\132\11\0",
	708111, "\130\63\129\75\131\4\132\19\0\131\71\129\74\131\3\132\23\0\129\74\131\3\132\23\0",
	724205, "\130\63\129\75\131\10\132\32\0\131\71\129\74\131\9\132\36\0\129\74\131\9\132\36\0",
	740298, "\130\63\129\75\131\16\132\42\0\131\71\129\74\131\15\132\46\0\129\74\131\15\132\46\0",
	756392, "\130\63\129\75\131\22\132\52\0\131\71\129\74\131\21\132\56\0\129\74\131\21\132\56\0",
	772485, "\130\63\129\75\131\28\132\64\0\131\71\129\74\131\27\132\68\0\129\74\131\27\132\68\0",
	788579, "\130\63\129\75\131\34\132\76\0\131\71\129\74\131\33\132\80\0\129\74\131\33\132\80\0",
	804672, "\130\66\129\88\129\92\0\131\74\129\87\131\103\0\129\87\131\103\0",
	820765, "\130\78\129\94\131\93\0\131\89\129\93\131\37\0\129\93\131\37\0",
}

ordinals = {
	{L"1st", nil, nil},
	{L"2nd", nil, nil},
	{L"3rd", nil, nil},
	{L"4th", nil, nil},
	{L"5th", nil, nil},
	{L"6th", nil, nil},
	{L"7th", nil, nil},
	{L"8th", nil, nil},
	{L"9th", nil, nil},
	{L"10th", nil, nil},
	{L"11th", nil, nil},
	{L"12th", nil, nil},
	{L"13th", nil, nil},
	{L"14th", nil, nil},
	{L"15th", nil, nil},
	{L"16th", nil, nil},
	{L"17th", nil, nil},
	{L"18th", nil, nil},
	{L"19th", nil, nil},
	{L"20th", nil, nil},
}

